SELECT 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	A.TEXT, 
	A.COLUMNWIDTH, 
	C.PHYSICAL_NAME as "visible", 
	D.PHYSICAL_NAME as "editable", 
	E.ID, 
	E.LOGICAL_NAME, 
	E.PHYSICAL_NAME, 
	F.ID, 
	F.LOGICAL_NAME, 
	F.PHYSICAL_NAME
FROM 
	WEDGE_CS_TABLE_D as A
	Inner Join WEDGE_CS_ITEM as B on ( CHAR( B.ID ) = CHAR(A.ITEM_ID) )
	Left Outer Join WEDGE_NAME as C on ( CHAR( C.VALUE ) = CHAR(A.VISIBLE) and CHAR( C.SEARCH_STRING ) = 'CLIENT_TABLE_VISIBLE' )
	Left Outer Join WEDGE_NAME as D on ( CHAR( D.VALUE ) = CHAR(A.EDITABLE) and CHAR( D.SEARCH_STRING ) = 'TRUE_OR_FALSE' )
	Left Outer Join WEDGE_BASE as E on ( CHAR( E.ID ) = CHAR(A.CELLRENDERER) )
	Left Outer Join WEDGE_BASE as F on ( CHAR( F.ID ) = CHAR(A.CELLEDITOR) )
WHERE 
	CHAR( A.HID ) = ?
ORDER BY 
	A.LINE
