SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.REVISION, 
	Z.FRAME_TYPE, 
	count(H.ID) as "count"
FROM 
	WEDGE_CS_FRAME as Z
	Inner Join WEDGE_CS_CTRAN as A on ( CHAR( A.FRAME_ID ) = CHAR(Z.ID) )
	Inner Join WEDGE_CS_STRAN as B on ( CHAR( B.PHYSICAL_NAME ) = CHAR(A.STRAN_PNAME) )
	Inner Join WEDGE_CS_SERVERSUB as C on ( CHAR( C.PHYSICAL_NAME ) = CHAR(A.SERVERSUB_PNAME) )
	Inner Join WEDGE_CS_DECISION_TABLE as D on ( CHAR( D.SERVERSUB_ID ) = CHAR(C.ID) and CHAR( D.SERVER_TRAN_ID ) = CHAR(B.ID) )
	Inner Join WEDGE_CS_DECISION_TYPE as E on ( CHAR( E.DECISION_TABLE_ID ) = CHAR(D.ID) )
	Inner Join WEDGE_CS_DECISION_DLCP as F on ( CHAR( F.DECISION_TYPE_ID ) = CHAR(E.ID) )
	Inner Join WEDGE_CS_DLCP as G on ( CHAR( G.ID ) = CHAR(F.DC_ID) )
	Inner Join WEDGE_DAT_DLCP_H as H on ( CHAR( H.ID ) = CHAR(G.DLCP_ID) and CHAR( H.ID ) = ? )
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.REVISION, 
	Z.FRAME_TYPE
ORDER BY 
	Z.PHYSICAL_NAME
