SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.PHYSICAL_NAME as "frame_type", 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	A.TITLE, 
	A.WIDTH, 
	A.HEIGHT, 
	A.COMPILED, 
	A.OMIT_BACKCOLOR, 
	G.PHYSICAL_NAME as "omit_backcolor_timing", 
	H.PHYSICAL_NAME as "statusbar_position", 
	A.STATUSBAR_FORECOLOR, 
	A.STATUSBAR_BACKCOLOR, 
	A.IMAGE_PATH, 
	K.PHYSICAL_NAME as "save_contents", 
	A.CREATE_USER, 
	A.CREATE_DATE, 
	A.UPDATE_USER, 
	A.UPDATE_DATE, 
	A.REVISION
FROM 
	WEDGE_CS_FRAME "A", 
	WEDGE_NAME "B", 
	WEDGE_PRJ_MENU_H "C", 
	WEDGE_PRJ_TOOLBAR_H "D", 
	WEDGE_NAME "G", 
	WEDGE_NAME "H", 
	WEDGE_NAME "K"
WHERE 
	A.ID = ? AND 
	B.VALUE (+)= A.FRAME_TYPE AND 
	B.SEARCH_STRING (+)= 'FRAME_TYPE' AND 
	C.ID (+)= A.MENU_H_ID AND 
	D.ID (+)= A.TOOLBAR_H_ID AND 
	G.VALUE (+)= A.OMIT_BACKCOLOR_TIMING AND 
	G.SEARCH_STRING (+)= 'OMIT_BACKCOLOR_TIMING' AND 
	H.VALUE (+)= A.STATUSBAR_POSITION AND 
	H.SEARCH_STRING (+)= 'STATUSBAR_POSITION' AND 
	K.VALUE (+)= A.SAVE_CONTENTS AND 
	K.SEARCH_STRING (+)= 'CLOSE_OPERATION'
