SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.FRAME_TYPE, 
	count(A.ID) as "count"
FROM 
	WEDGE_CS_FRAME "Z", 
	WEDGE_CS_EXECUTION_H "A", 
	WEDGE_CS_EXECUTION_D "B"
WHERE 
	A.FRAME_ID = Z.ID AND 
	B.HID = A.ID AND 
	(B.HTML_ID = ? or B.ERROR_HTML_ID = ?)
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.FRAME_TYPE
ORDER BY 
	Z.PHYSICAL_NAME
