SELECT 
	G.ID, 
	G.PHYSICAL_NAME, 
	G.LOGICAL_NAME, 
	G.MEMO, 
	H.LOGICAL_NAME, 
	H.PHYSICAL_NAME, 
	H.MEMO, 
	H.CLASS_NAME, 
	H.SEARCH_STRING
FROM 
	WEDGE_CS_CTRAN as Z
	Inner Join WEDGE_CS_SERVERSUB AS A ON ( A.PHYSICAL_NAME = Z.SERVERSUB_PNAME  )
	Inner Join WEDGE_CS_STRAN AS B ON ( B.SERVERSUB_ID = A.ID  AND B.PHYSICAL_NAME = Z.STRAN_PNAME  )
	Inner Join WEDGE_CS_DECISION_TABLE AS C ON ( C.SERVERSUB_ID = A.ID  AND C.SERVER_TRAN_ID = B.ID  )
	Inner Join WEDGE_CS_DECISION_TYPE AS D ON ( D.SERVERSUB_ID = A.ID  AND D.DECISION_TABLE_ID = C.ID  )
	Inner Join WEDGE_CS_DECISION_DLCP AS E ON ( E.SERVERSUB_ID = A.ID  AND E.DECISION_TYPE_ID = D.ID  )
	Inner Join WEDGE_CS_DLCP AS F ON ( F.SERVERSUB_ID = A.ID  AND F.ID = E.DC_ID  )
	Inner Join WEDGE_DAT_DLCP_H AS G ON ( G.ID = F.DLCP_ID  )
	Inner Join WEDGE_DLCP AS H ON ( H.ID = G.COMM_ID  )
WHERE 
	Z.FRAME_ID = ?
GROUP BY 
	G.ID, 
	G.PHYSICAL_NAME, 
	G.LOGICAL_NAME, 
	G.MEMO, 
	H.LOGICAL_NAME, 
	H.PHYSICAL_NAME, 
	H.MEMO, 
	H.CLASS_NAME, 
	H.SEARCH_STRING
ORDER BY 
	G.PHYSICAL_NAME
