<?xml version="1.0" encoding="shift_jis"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" > 
<xsl:import href="constant.xsl"/>
<xsl:output method="xml" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" />


<!-- ****** DynamicDocument ****** -->
<xsl:template match="dynamic_document">
	<xsl:param name="select_type"/>
	<xsl:param name="data_type"/>
	<xsl:param name="id"/>

	<xsl:element name="html">
		<xsl:attribute name="lang">ja</xsl:attribute>
		<xsl:element name="head">
			<xsl:element name="meta">
				<xsl:attribute name="http-equiv">Content-Style-Type</xsl:attribute>
				<xsl:attribute name="content">text/css</xsl:attribute>
			</xsl:element>
			<xsl:element name="meta">
				<xsl:attribute name="http-equiv">Content-Script-Type</xsl:attribute>
				<xsl:attribute name="content">text/javascript</xsl:attribute>
			</xsl:element>
			<xsl:element name="link">
				<xsl:attribute name="rel">stylesheet</xsl:attribute>
				<xsl:attribute name="type">text/css</xsl:attribute>
				<xsl:attribute name="href"><xsl:value-of select="env/css" /></xsl:attribute>
			</xsl:element>
			<xsl:comment>HTMLxmlxslɂϊďo͂Ă܂B</xsl:comment>
			<xsl:choose>
					<xsl:when test="$PRODUCT_TYPE = $PRODUCT_VISUALFRAME">
						<xsl:element name="title"><xsl:value-of select="$VISUALFRAME" /> DynamicDocument</xsl:element>
					</xsl:when>
					<xsl:when test="$PRODUCT_TYPE = $PRODUCT_OPENDEVELOPER">
						<xsl:element name="title"><xsl:value-of select="$OPENDEVELOPER" /> DynamicDocument</xsl:element>
					</xsl:when>
					<xsl:when test="$PRODUCT_TYPE = $PRODUCT_PARALLELFRAME">
						<xsl:element name="title"><xsl:value-of select="$PARALLELFRAME" /> DynamicDocument</xsl:element>
					</xsl:when>
					<xsl:otherwise>
						<xsl:element name="title"><xsl:value-of select="$WEBTRIBE" /> DynamicDocument</xsl:element>
					</xsl:otherwise>
			</xsl:choose>		
	</xsl:element>
			
	<xsl:element name="body">
		<xsl:choose>
		<xsl:when test="//dynamic_document/env/show_type[. = 'file']">
			<xsl:call-template name="main">
					<xsl:with-param name="select_type" select="$select_type"/>
					<xsl:with-param name="data_type" select="$data_type"/>
					<xsl:with-param name="id" select="$id"/>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
			<xsl:element name="form">
				<xsl:attribute name="name">form1</xsl:attribute>
				<xsl:attribute name="action"><xsl:value-of select="env/servlet" /></xsl:attribute>
				<xsl:attribute name="method">post</xsl:attribute>
	
				<xsl:call-template name="main">
					<xsl:with-param name="select_type" select="$select_type"/>
					<xsl:with-param name="data_type" select="$data_type"/>
					<xsl:with-param name="id" select="$id"/>
				</xsl:call-template>
	
			</xsl:element>
		</xsl:otherwise>
		</xsl:choose>

	</xsl:element>
	</xsl:element>
</xsl:template>

	<!--   -->
<xsl:template name="main">
	<xsl:param name="select_type"/>
	<xsl:param name="data_type"/>
	<xsl:param name="id"/>
	<xsl:element name="div">
				<xsl:attribute name="style">font-size:10pt;text-align:right;border-bottom:double 3px #000000;</xsl:attribute>
				<!-- OMC LogicClass -->
				<xsl:call-template name="link_of_selected_console" >
					<xsl:with-param name="type" select="$TARGET_OMC_LOGIC"/>
					<xsl:with-param name="target" select="$TARGET_OMC_LOGIC"/>
					<xsl:with-param name="name" select="$BUSINESSRULE"/>
				</xsl:call-template>

				<!-- DMC TABLE -->
				<xsl:if test="not($PRODUCT_TYPE = $PRODUCT_VISUALFRAME)">
					<xsl:call-template name="link_of_selected_console" >
						<xsl:with-param name="type" select="$TARGET_DAT_TABLE"/>
						<xsl:with-param name="target" select="$TARGET_DAT_TABLE"/>
						<xsl:with-param name="name" select="$TABLE"/>
					</xsl:call-template>
				</xsl:if>
				
				<!-- DMC DC -->
				<xsl:if test="not($PRODUCT_TYPE = $PRODUCT_VISUALFRAME)">
					<xsl:call-template name="link_of_selected_console" >
						<xsl:with-param name="type" select="$TARGET_DAT_DC"/>
						<xsl:with-param name="target" select="$TARGET_DAT_DC"/>
						<xsl:with-param name="name" select="$DC"/>
					</xsl:call-template>

				</xsl:if>

				<!-- DMC DATA -->
				<xsl:call-template name="link_of_selected_console" >
					<xsl:with-param name="type" select="$TARGET_DAT_DATA"/>
					<xsl:with-param name="target" select="$TARGET_DAT_DATA"/>
					<xsl:with-param name="name" select="$DATA"/>
				</xsl:call-template>

				
				<!-- SAMC -->
				<xsl:if test="($PRODUCT_TYPE = $PRODUCT_WEBTRIBE) or ($PRODUCT_TYPE = $PRODUCT_OPENDEVELOPER)">
					<xsl:call-template name="link_of_selected_console" >
						<xsl:with-param name="type" select="$TARGET_CS_SSUB"/>
						<xsl:with-param name="target" select="$TARGET_CS_SSUB"/>
						<xsl:with-param name="name" select="$SAMC"/>
					</xsl:call-template>
				</xsl:if>

				<!-- CAMC -->
				<xsl:if test="($PRODUCT_TYPE = $PRODUCT_WEBTRIBE) or ($PRODUCT_TYPE = $PRODUCT_VISUALFRAME)">
					<xsl:call-template name="link_of_selected_console" >
							<xsl:with-param name="type" select="$TARGET_CS_JAVACLIENT"/>
							<xsl:with-param name="target" select="$TARGET_CS_JAVACLIENT"/>
							<xsl:with-param name="name" select="$CAMC"/>
					</xsl:call-template>
				</xsl:if>

				<!-- HAMC -->
				<xsl:if test="($PRODUCT_TYPE = $PRODUCT_WEBTRIBE) or ($PRODUCT_TYPE = $PRODUCT_OPENDEVELOPER)">
					<xsl:call-template name="link_of_selected_console" >
						<xsl:with-param name="type" select="$TARGET_CS_HTMLCLIENT"/>
						<xsl:with-param name="name" select="$HAMC"/>
						<xsl:with-param name="target" select="$TARGET_CS_HTMLCLIENT"/>
					</xsl:call-template>
				</xsl:if>
				
				<!-- SMC -->
				<xsl:if test="not($PRODUCT_TYPE = $PRODUCT_VISUALFRAME)">
					<xsl:call-template name="link_of_selected_console" >
						<xsl:with-param name="type" select="$TARGET_SMC_BSUB"/>
						<xsl:with-param name="name" select="$SMC"/>
						<xsl:with-param name="target" select="$TARGET_SMC_BSUB"/>
					</xsl:call-template>
				</xsl:if>

				<!-- HTML -->
				<xsl:if test="($PRODUCT_TYPE = $PRODUCT_WEBTRIBE) or ($PRODUCT_TYPE = $PRODUCT_OPENDEVELOPER)">
					<xsl:call-template name="link_of_selected_console" >
						<xsl:with-param name="type" select="$TARGET_HTML"/>
						<xsl:with-param name="name" select="$HTML"/>
						<xsl:with-param name="target" select="$TARGET_HTML"/>
					</xsl:call-template>

				</xsl:if>

				<!-- fileo͂łȂꍇɂ HTML or XML ؑփNt^ -->
				<xsl:choose>
				<xsl:when test="//dynamic_document/env/show_type[. = 'file']">
				</xsl:when>
				<xsl:otherwise>[ 
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:call-template name="create_link">
								<xsl:with-param name="data_type" select="//dynamic_document/env/data_type"/>
								<xsl:with-param name="select_type" select="//dynamic_document/env/select_type"/>
								<xsl:with-param name="id" select="//dynamic_document/env/id"/>
								<xsl:with-param name="href" select="//dynamic_document/env/href"/>
								<xsl:with-param name="content_type" select="'html'"/>
							</xsl:call-template>
						</xsl:attribute>
						html 
					</xsl:element> | 
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:call-template name="create_link">
								<xsl:with-param name="data_type" select="//dynamic_document/env/data_type"/>
								<xsl:with-param name="select_type" select="//dynamic_document/env/select_type"/>
								<xsl:with-param name="id" select="//dynamic_document/env/id"/>
								<xsl:with-param name="href" select="//dynamic_document/env/href"/>
								<xsl:with-param name="content_type" select="'xml'"/>
							</xsl:call-template>
						</xsl:attribute>
						xml
					</xsl:element> ]
				</xsl:otherwise>
				</xsl:choose>
				
			</xsl:element>
			<xsl:element name="br" />
			
			<xsl:for-each select="data">
				<xsl:apply-templates select="header" />
				<xsl:call-template name="link_tab" >
					<xsl:with-param name="select_type" select="$select_type" />
					<xsl:with-param name="data_type" select="$data_type" />
					<xsl:with-param name="id" select="$id" />
				</xsl:call-template>
				<xsl:apply-templates select="detail" />
			</xsl:for-each>
</xsl:template>	
<!-- ****** N̐ ****** -->
<xsl:template name="create_link_dynamic">
<xsl:param name="data_type" />
<xsl:param name="select_type" />
<xsl:param name="id" />
<xsl:param name="href" />
<xsl:param name="content_type" />
<xsl:param name="ssub" />
<xsl:param name="ssub_id" />
<xsl:param name="ssub_pname" />
<xsl:param name="ssub_lname" />
<xsl:param name="frame_id" />
<xsl:param name="frame_pname" />
<xsl:param name="frame_lname" />
<xsl:param name="type" />
<xsl:param name="stran" />?data_type=<xsl:value-of select="$data_type" />&amp;select_type=<xsl:choose>
	<xsl:when test="$select_type !=''"><xsl:value-of select="$select_type" /></xsl:when>
	<xsl:otherwise>2</xsl:otherwise>
</xsl:choose>
<xsl:if test="$id !=''">&amp;id=<xsl:value-of select="$id" /></xsl:if>
<xsl:if test="$href !=''">&amp;href=<xsl:value-of select="$href" /></xsl:if>
<xsl:if test="$content_type !=''">&amp;content_type=<xsl:value-of select="$content_type" /></xsl:if>
<xsl:if test="$ssub !=''">&amp;ssub_pname=<xsl:value-of select="$ssub" /></xsl:if>
<xsl:if test="$stran !=''">&amp;stran_pname=<xsl:value-of select="$stran" /></xsl:if>
<xsl:if test="$ssub_id !=''">&amp;ssub_id=<xsl:value-of select="$ssub_id" /></xsl:if>
<xsl:if test="$ssub_pname !=''">&amp;ssub_pname=<xsl:value-of select="$ssub_pname" /></xsl:if>
<xsl:if test="$ssub_lname !=''">&amp;ssub_lname=<xsl:value-of select="$ssub_lname" /></xsl:if>
<xsl:if test="$frame_id !=''">&amp;frame_id=<xsl:value-of select="$frame_id" /></xsl:if>
<xsl:if test="$frame_pname !=''">&amp;frame_pname=<xsl:value-of select="$frame_pname" /></xsl:if>
<xsl:if test="$frame_lname !=''">&amp;frame_lname=<xsl:value-of select="$frame_lname" /></xsl:if>
<xsl:if test="$type !=''">&amp;type=<xsl:value-of select="$type" /></xsl:if>
</xsl:template>

<!-- ****** N̐(Exportp) ****** -->
<xsl:template name="create_link_file">
<xsl:param name="data_type" />
<xsl:param name="select_type" />
<xsl:param name="id" />
<xsl:param name="href" />
<xsl:param name="content_type" />
<xsl:param name="ssub" />
<xsl:param name="stran" />../<xsl:value-of select="$data_type" />/<xsl:if test="$id !=''"><xsl:value-of select="$id" />_</xsl:if>


<xsl:choose>
	<xsl:when test="$select_type ='2'"><xsl:value-of select="$href" /></xsl:when>
	<xsl:when test="$select_type ='3'"><xsl:value-of select="$select_type" />_<xsl:value-of select="$href" /></xsl:when>
	<xsl:when test="$select_type ='1'">list</xsl:when>
	<xsl:otherwise><xsl:value-of select="$href" /></xsl:otherwise>
</xsl:choose>
<xsl:choose>
	<xsl:when test="$LINK_TYPE !=''">.<xsl:value-of select="$LINK_TYPE" /></xsl:when>
	<xsl:otherwise>.html</xsl:otherwise>
</xsl:choose>

</xsl:template>

<!-- ****** N̐ ****** -->
<xsl:template name="create_link">
<xsl:param name="data_type" />
<xsl:param name="select_type" />
<xsl:param name="id" />
<xsl:param name="href" />
<xsl:param name="content_type" />
<xsl:param name="ssub" />
<xsl:param name="ssub_id" />
<xsl:param name="ssub_pname" />
<xsl:param name="ssub_lname" />
<xsl:param name="frame_id" />
<xsl:param name="frame_pname" />
<xsl:param name="frame_lname" />
<xsl:param name="stran" />
<xsl:param name="type" />
	
<xsl:if test="$data_type != ''">
	<xsl:choose>
	<xsl:when test="//dynamic_document/env/show_type[. = 'file']">
		<xsl:call-template name="create_link_file">
			<xsl:with-param name="data_type" select="$data_type"/>
			<xsl:with-param name="select_type" select="$select_type"/>
			<xsl:with-param name="id" select="$id"/>
			<xsl:with-param name="href" select="$href"/>
			<xsl:with-param name="content_type" select="$content_type"/>
			<xsl:with-param name="ssub" select="$ssub"/>
			<xsl:with-param name="stran" select="$stran"/>
			<xsl:with-param name="ssub_id" select="$ssub_id"/>
			<xsl:with-param name="ssub_pname" select="$ssub_pname"/>
			<xsl:with-param name="ssub_lname" select="$ssub_lname"/>
			<xsl:with-param name="frame_id" select="$frame_id"/>
			<xsl:with-param name="frame_pname" select="$frame_pname"/>
			<xsl:with-param name="frame_lname" select="$frame_lname"/>
			<xsl:with-param name="type" select="$type"/>
		</xsl:call-template>
	</xsl:when>
	<xsl:otherwise>
		<xsl:call-template name="create_link_dynamic">
			<xsl:with-param name="data_type" select="$data_type"/>
			<xsl:with-param name="select_type" select="$select_type"/>
			<xsl:with-param name="id" select="$id"/>
			<xsl:with-param name="href" select="$href"/>
			<xsl:with-param name="content_type" select="$content_type"/>
			<xsl:with-param name="ssub" select="$ssub"/>
			<xsl:with-param name="stran" select="$stran"/>
			<xsl:with-param name="ssub_id" select="$ssub_id"/>
			<xsl:with-param name="ssub_pname" select="$ssub_pname"/>
			<xsl:with-param name="ssub_lname" select="$ssub_lname"/>
			<xsl:with-param name="frame_id" select="$frame_id"/>
			<xsl:with-param name="frame_pname" select="$frame_pname"/>
			<xsl:with-param name="frame_lname" select="$frame_lname"/>
			<xsl:with-param name="type" select="$type"/>
		</xsl:call-template>
	</xsl:otherwise>
	</xsl:choose>
</xsl:if>
</xsl:template>

<!-- ****** N ****** -->
<xsl:template name="link_of_selected_console">
<xsl:param name="type" />
<xsl:param name="target" />
<xsl:param name="name" />
<xsl:choose>
	<xsl:when test="$CONSOLE_TYPE = $target">
		<xsl:element name="span">
			<xsl:attribute name="class">selected</xsl:attribute>
			<xsl:element name="a">
			
				<xsl:attribute name="href">
					<xsl:call-template name="create_link">
						<xsl:with-param name="data_type" select="$target"/>
						<xsl:with-param name="select_type" select="1"/>
					</xsl:call-template>
				</xsl:attribute>
				
				<xsl:call-template name="image_of_goto_main_selected" />
				<xsl:value-of select="$name" />
			</xsl:element>
		</xsl:element>
	</xsl:when>
	<xsl:otherwise>
		<xsl:element name="span">
			<xsl:attribute name="class">nonselected</xsl:attribute>
			<xsl:element name="a">

				<xsl:attribute name="href">
					<xsl:call-template name="create_link">
						<xsl:with-param name="data_type" select="$target"/>
						<xsl:with-param name="select_type" select="1"/>
					</xsl:call-template>
				</xsl:attribute>
				
				<xsl:call-template name="image_of_goto_main" />
				<xsl:value-of select="$name" />
			</xsl:element>
		</xsl:element>
	</xsl:otherwise>
</xsl:choose>
</xsl:template>

<!-- ****** TitleTab ****** -->
<xsl:template name="title_tab">
	<xsl:param name="name"/>
	<xsl:param name="image"/>
	
	<xsl:element name="div">
		<xsl:element name="img">
			<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" /><xsl:value-of select="$image" /></xsl:attribute>
			<xsl:attribute name="alt"><xsl:value-of select="$image" /></xsl:attribute>
		</xsl:element>
		<xsl:element name="span">
			<xsl:attribute name="class">tab</xsl:attribute>
			<xsl:element name="img">
				<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" />leftTab.gif</xsl:attribute>
				<xsl:attribute name="width">11</xsl:attribute>
				<xsl:attribute name="height">15</xsl:attribute>
				<xsl:attribute name="alt">leftTab</xsl:attribute>
			</xsl:element>
			<xsl:value-of select="$name"/>
		</xsl:element>
	</xsl:element>
	
</xsl:template>

<!-- ****** TitleTab ****** -->
<xsl:template name="sub_links">
	<xsl:element name="div">
		<xsl:attribute name="style">text-align:right;</xsl:attribute>
		<xsl:choose>
			<xsl:when test="$CONSOLE_TYPE = $TARGET_CS_JAVACLIENT">
					<xsl:call-template name="link_of_frameAttribute"/>
			</xsl:when>
			<xsl:when test="$CONSOLE_TYPE = $TARGET_CS_HTMLCLIENT">
					<xsl:call-template name="link_of_HgFrameAttribute"/>
			</xsl:when>
			<xsl:when test="$CONSOLE_TYPE = $TARGET_CS_SSUB">
					<xsl:call-template name="link_of_serverAttribute"/>
			</xsl:when>
			<xsl:when test="$CONSOLE_TYPE = $TARGET_SMC_BSUB">
					<xsl:call-template name="link_of_batchAttribute"/>
			</xsl:when>
			<xsl:otherwise></xsl:otherwise>
		</xsl:choose>
	</xsl:element>
</xsl:template>

<!-- ****** write_linktab ****** -->

<xsl:template name="write_linktab">
	<xsl:param name="linkname"/>
	<xsl:param name="href"/>
	<xsl:param name="dataType"/>
	<xsl:param name="id"/>
	<xsl:param name="ssub"/>
	<xsl:param name="stran"/>
	<xsl:param name="selectType"/>
	<xsl:param name="position"/>
	
	<xsl:choose>
	    <xsl:when test="($href = $HREF) ">
			<xsl:variable name="class">select</xsl:variable>
			<xsl:if test="$position != 1">
				<xsl:call-template name="linkTabSelect" >
					<xsl:with-param name="linkname" select="$linkname"/>
					<xsl:with-param name="href" select="$href"/>
					<xsl:with-param name="dataType" select="$dataType"/>
					<xsl:with-param name="id" select="$id"/>
					<xsl:with-param name="class" select="$class"/>
					<xsl:with-param name="ssub" select="$ssub"/>
					<xsl:with-param name="stran" select="$stran"/>
					<xsl:with-param name="selectType" select="$selectType"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$position = 1">
				<xsl:call-template name="linkTabSelect" >
					<xsl:with-param name="linkname" select="$linkname"/>
					<xsl:with-param name="dataType" select="$dataType"/>
					<xsl:with-param name="id" select="$id"/>
					<xsl:with-param name="class" select="$class"/>
					<xsl:with-param name="ssub" select="$ssub"/>
					<xsl:with-param name="stran" select="$stran"/>
					<xsl:with-param name="selectType" select="$selectType"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:variable name="class">unselect</xsl:variable>
			<xsl:if test="$position != 1">
				<xsl:call-template name="linkTabSelect" >
					<xsl:with-param name="linkname" select="$linkname"/>
					<xsl:with-param name="href" select="$href"/>
					<xsl:with-param name="dataType" select="$dataType"/>
					<xsl:with-param name="id" select="$id"/>
					<xsl:with-param name="class" select="$class"/>
					<xsl:with-param name="ssub" select="$ssub"/>
					<xsl:with-param name="stran" select="$stran"/>
					<xsl:with-param name="selectType" select="$selectType"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$position = 1">
				<xsl:call-template name="linkTabSelect" >
					<xsl:with-param name="linkname" select="$linkname"/>
					<xsl:with-param name="dataType" select="$dataType"/>
					<xsl:with-param name="id" select="$id"/>
					<xsl:with-param name="class" select="$class"/>
					<xsl:with-param name="ssub" select="$ssub"/>
					<xsl:with-param name="stran" select="$stran"/>
					<xsl:with-param name="selectType" select="$selectType"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>

</xsl:template>

<!-- ****** linkTab Select ****** -->
<xsl:template name="linkTabSelect">
	<xsl:param name="linkname"/>
	<xsl:param name="dataType"/>
	<xsl:param name="id"/>
	<xsl:param name="href"/>
	<xsl:param name="class"/>
	<xsl:param name="ssub"/>
	<xsl:param name="stran"/>
	<xsl:param name="selectType"/>

	<xsl:element name="td">
		<xsl:attribute name="class"><xsl:value-of select="$class"/></xsl:attribute>
		<xsl:element name="img">
			<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" />leftTab.gif</xsl:attribute>
			<xsl:attribute name="alt">leftTab</xsl:attribute>
			<xsl:attribute name="width">11</xsl:attribute>
			<xsl:attribute name="height">19</xsl:attribute>
		</xsl:element>
	</xsl:element>
	
	<xsl:element name="td">
		<xsl:attribute name="class"><xsl:value-of select="$class"/></xsl:attribute>
		<xsl:element name="a">
			<xsl:attribute name="class"><xsl:value-of select="$class"/></xsl:attribute>
			<xsl:attribute name="href">
					<xsl:call-template name="create_link">
						<xsl:with-param name="data_type" select="$dataType"/>
						<xsl:with-param name="select_type" select="$selectType"/>
						<xsl:with-param name="id" select="$id"/>
						<xsl:with-param name="href" select="$href"/>
						<xsl:with-param name="ssub" select="$ssub"/>
						<xsl:with-param name="stran" select="$stran"/>
					</xsl:call-template>
			</xsl:attribute>
			<xsl:value-of select="$linkname"/>
		</xsl:element>
	</xsl:element>
	
	<xsl:element name="td">
		<xsl:attribute name="class"><xsl:value-of select="$class"/></xsl:attribute>
		<xsl:element name="img">
			<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" />rightTab.gif</xsl:attribute>
			<xsl:attribute name="width">11</xsl:attribute>
			<xsl:attribute name="alt">rightTab</xsl:attribute>
			<xsl:attribute name="height">19</xsl:attribute>
		</xsl:element>
	</xsl:element>

</xsl:template>

<!-- ****** ֘AN^u ****** -->
<xsl:template name="link_tab">
	<xsl:param name="select_type"/>
	<xsl:param name="data_type"/>
	<xsl:param name="id"/>

	<xsl:if test="count(//dynamic_document/refs/ref) > 1">
		<xsl:element name="br" />
		<xsl:element name="table">
			<xsl:attribute name="border">0</xsl:attribute>
			<xsl:attribute name="cellspacing">0</xsl:attribute>
			<xsl:attribute name="cellpadding">0</xsl:attribute>
			<xsl:attribute name="summary">link</xsl:attribute>
				<xsl:element name="tr">
					<xsl:for-each select="//dynamic_document/refs/ref">

								<xsl:call-template name="write_linktab">
									<xsl:with-param name="linkname" select="./@name"/>
									<xsl:with-param name="href" select="."/>
									<xsl:with-param name="dataType" select="$data_type"/>
									<xsl:with-param name="id" select="$id"/>
									<xsl:with-param name="selectType" select="$select_type"/>
									<xsl:with-param name="position" select="position()"/>
								</xsl:call-template>
							
					</xsl:for-each>
				</xsl:element>
		</xsl:element>
		<xsl:call-template name="relation_table"/>
	</xsl:if>
</xsl:template>
	
<!-- ****** C[W ****** -->
<xsl:template name="image_of_goto">
<xsl:element name="img">
<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" />goto.gif</xsl:attribute>
<xsl:attribute name="alt">goto</xsl:attribute>
<xsl:attribute name="width">15</xsl:attribute>
<xsl:attribute name="height">15</xsl:attribute>
</xsl:element>
</xsl:template>
<!-- ****** C[W ****** -->
<xsl:template name="image_of_goto_selected">
<xsl:element name="img">
<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" />goto_selected.gif</xsl:attribute>
<xsl:attribute name="alt">goto</xsl:attribute>
<xsl:attribute name="width">15</xsl:attribute>
<xsl:attribute name="height">15</xsl:attribute>
</xsl:element>
</xsl:template>
<!-- ****** C[W ****** -->
<xsl:template name="image_of_goto_main">
<xsl:element name="img">
<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" />goto_main.gif</xsl:attribute>
<xsl:attribute name="alt">goto</xsl:attribute>
<xsl:attribute name="width">15</xsl:attribute>
<xsl:attribute name="height">15</xsl:attribute>

</xsl:element>
</xsl:template>
<!-- ****** C[W ****** -->
<xsl:template name="image_of_goto_main_selected">
<xsl:element name="img">
<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" />goto_main_selected.gif</xsl:attribute>
<xsl:attribute name="alt">goto</xsl:attribute>
<xsl:attribute name="width">15</xsl:attribute>
<xsl:attribute name="height">15</xsl:attribute>
</xsl:element>
</xsl:template>

<!-- ****** ImageOfData ****** -->
<xsl:template name="image_of_data">
<xsl:element name="img">
<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" /><xsl:value-of select="$IMG_DATA" /></xsl:attribute>
<xsl:attribute name="alt"><xsl:value-of select="$DATA" /></xsl:attribute>
</xsl:element>
</xsl:template>

<!-- ****** ImageOfItem ****** -->
<xsl:template name="image_of_item">
<xsl:element name="img">
<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" /><xsl:value-of select="$IMG_ITEM" /></xsl:attribute>
<xsl:attribute name="alt"><xsl:value-of select="$ITEM" /></xsl:attribute>
</xsl:element>
</xsl:template>

<!-- ****** ImageOfTable ****** -->
<xsl:template name="image_of_table">
<xsl:element name="img">
<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" /><xsl:value-of select="$IMG_TABLE" /></xsl:attribute>
<xsl:attribute name="alt"><xsl:value-of select="$TABLE" /></xsl:attribute>
</xsl:element>
</xsl:template>

<!-- ****** ImageOfBusinessRule ****** -->
<xsl:template name="image_of_rule">
<xsl:element name="img">
<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" /><xsl:value-of select="$IMG_RULE" /></xsl:attribute>
<xsl:attribute name="alt"><xsl:value-of select="$BUSINESSRULE" /></xsl:attribute>
</xsl:element>
</xsl:template>

<!-- ****** ImageOfTran ****** -->
<xsl:template name="image_of_tran">
<xsl:element name="img">
<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" /><xsl:value-of select="$IMG_TRAN" /></xsl:attribute>
<xsl:attribute name="alt"><xsl:value-of select="$TRANSACTION" /></xsl:attribute>
</xsl:element>
</xsl:template>
	
<!-- ****** ImageOfSubTran ****** -->
<xsl:template name="image_of_subtran">
<xsl:element name="img">
<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" /><xsl:value-of select="$IMG_SUBTRAN" /></xsl:attribute>
<xsl:attribute name="alt"><xsl:value-of select="$OUT_TRAN" /></xsl:attribute>
</xsl:element>
</xsl:template>

<!-- ****** ImageOfFrame ****** -->
<xsl:template name="image_of_frame">
<xsl:element name="img">
<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" /><xsl:value-of select="$IMG_FRAME" /></xsl:attribute>
<xsl:attribute name="alt"><xsl:value-of select="$CAMC" /></xsl:attribute>
</xsl:element>
</xsl:template>

<!-- ****** ImageOfDc ****** -->
<xsl:template name="image_of_dc">
<xsl:element name="img">
<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" /><xsl:value-of select="$IMG_DC" /></xsl:attribute>
<xsl:attribute name="alt"><xsl:value-of select="$DC" /></xsl:attribute>
</xsl:element>
</xsl:template>

<!-- ****** ImageOfssub ****** -->
<xsl:template name="image_of_ssub">
<xsl:element name="img">
<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" /><xsl:value-of select="$IMG_SSUB" /></xsl:attribute>
<xsl:attribute name="alt"><xsl:value-of select="$SAMC" /></xsl:attribute>
</xsl:element>
</xsl:template>

<!-- ****** ImageOfsmc ****** -->
<xsl:template name="image_of_smc">
<xsl:element name="img">
<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" /><xsl:value-of select="$IMG_SMC" /></xsl:attribute>
<xsl:attribute name="alt"><xsl:value-of select="$SMC" /></xsl:attribute>
</xsl:element>
</xsl:template>
<!-- ****** ImageOfExecution ****** -->
<xsl:template name="image_of_execution">
<xsl:element name="img">
<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" /><xsl:value-of select="$IMG_EXECUTION" /></xsl:attribute>
<xsl:attribute name="alt"><xsl:value-of select="$EXECUTION" /></xsl:attribute>
</xsl:element>
</xsl:template>
<!-- ****** ImageOfHtml ****** -->
<xsl:template name="image_of_html">
<xsl:element name="img">
<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" /><xsl:value-of select="$IMG_HTML" /></xsl:attribute>
<xsl:attribute name="alt"><xsl:value-of select="$HTML" /></xsl:attribute>
</xsl:element>
</xsl:template>
<!-- ****** ImageOfDTable ****** -->
<xsl:template name="image_of_dtable">
<xsl:element name="img">
<xsl:attribute name="src"><xsl:value-of select="$IMAGE_PATH" /><xsl:value-of select="$IMG_DTABLE" /></xsl:attribute>
</xsl:element>
</xsl:template>

<!-- ****** t[N ****** -->
<xsl:template name="link_of_frameAttribute">

<xsl:element name="span">
	<xsl:attribute name="style">text-align:right;font-size:10pt;height:15;</xsl:attribute>

	<xsl:call-template name="link_of_frame_console">
		<xsl:with-param name="target" select="$TARGET_CS_ITEM"/>
		<xsl:with-param name="name" select="$ITEM"/>
	</xsl:call-template>

	<xsl:call-template name="link_of_frame_console">
		<xsl:with-param name="target" select="$TARGET_CS_COMPONENT"/>
		<xsl:with-param name="name" select="$COMPONENT"/>
	</xsl:call-template>

	<xsl:call-template name="link_of_frame_console">
		<xsl:with-param name="target" select="$TARGET_CS_CRULE"/>
		<xsl:with-param name="name" select="$BUSINESSRULE"/>
	</xsl:call-template>

	<xsl:call-template name="link_of_frame_console">
		<xsl:with-param name="target" select="$TARGET_CS_CTABLE"/>
		<xsl:with-param name="name" select="$TABLE"/>
	</xsl:call-template>

	<xsl:call-template name="link_of_frame_console">
		<xsl:with-param name="target" select="$TARGET_CS_GROUP"/>
		<xsl:with-param name="name" select="$GROUP"/>
	</xsl:call-template>

	<xsl:call-template name="link_of_frame_console">
		<xsl:with-param name="target" select="$TARGET_CS_LAYOUT"/>
		<xsl:with-param name="name" select="$LAYOUT"/>
	</xsl:call-template>
		

	<xsl:if test="not($PRODUCT_TYPE = 'vf')">
		<xsl:call-template name="link_of_frame_console">
			<xsl:with-param name="target" select="$TARGET_CS_CTRAN"/>
			<xsl:with-param name="name" select="$TRANSACTION"/>
		</xsl:call-template>
	</xsl:if>

</xsl:element>@
</xsl:template>
<!-- ****** HtmlGatewayt[N ****** -->
<xsl:template name="link_of_HgFrameAttribute">
<xsl:element name="span">
	<xsl:attribute name="style">text-align:right;font-size:10pt;height:15;</xsl:attribute>
	<xsl:call-template name="link_of_frame_console">
		<xsl:with-param name="target" select="$TARGET_CS_EXECUTION"/>
		<xsl:with-param name="name" select="$EXECUTION"/>
	</xsl:call-template>
	<xsl:call-template name="link_of_frame_console">
		<xsl:with-param name="target" select="$TARGET_CS_HITEM"/>
		<xsl:with-param name="name" select="$DATA"/>
	</xsl:call-template>
	<xsl:call-template name="link_of_frame_console">
		<xsl:with-param name="target" select="$TARGET_CS_HRULE"/>
		<xsl:with-param name="name" select="$BUSINESSRULE"/>
	</xsl:call-template>
	<xsl:call-template name="link_of_frame_console">
		<xsl:with-param name="target" select="$TARGET_CS_HTRAN"/>
		<xsl:with-param name="name" select="$TRANSACTION"/>
	</xsl:call-template>
</xsl:element>@
</xsl:template>

<!-- ****** t[TuN ****** -->
<xsl:template name="link_of_frame_console">
<xsl:param name="target" />
<xsl:param name="name" />

<xsl:element name="a"><xsl:attribute name="href">
		<xsl:call-template name="create_link">
			<xsl:with-param name="data_type" select="$target"/>
			<xsl:with-param name="select_type" select="1"/>
			<xsl:with-param name="id" select="$FRAME_ID"/>
		</xsl:call-template>
	</xsl:attribute>
	<xsl:choose>
		<xsl:when test="$DATA_TYPE = $target">
			<xsl:call-template name="image_of_goto_selected" />
			<xsl:element name="span">
				<xsl:attribute name="class">selected</xsl:attribute>
				<xsl:value-of select="$name" />
			</xsl:element>
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="image_of_goto" />
			<xsl:element name="span">
				<xsl:attribute name="class">unselected</xsl:attribute>
				<xsl:value-of select="$name" />
			</xsl:element>
		</xsl:otherwise>
	</xsl:choose>
</xsl:element>

</xsl:template>

<!-- ****** T[o[TuN ****** -->
<xsl:template name="link_of_serverAttribute">
<xsl:element name="span">
	<xsl:attribute name="style">text-align:right;font-size:10pt;height:15;</xsl:attribute>
	
	<xsl:call-template name="link_of_server_console">
		<xsl:with-param name="target" select="$TARGET_CS_SDATA"/>
		<xsl:with-param name="name" select="$DATA"/>
	</xsl:call-template>

	<xsl:call-template name="link_of_server_console">
		<xsl:with-param name="target" select="$TARGET_CS_STRAN"/>
		<xsl:with-param name="name" select="$TRANSACTION"/>
	</xsl:call-template>


	<xsl:call-template name="link_of_server_console">
		<xsl:with-param name="target" select="$TARGET_CS_SOTRAN"/>
		<xsl:with-param name="name" select="$OUT_TRAN"/>
	</xsl:call-template>
	
	<xsl:call-template name="link_of_server_console">
		<xsl:with-param name="target" select="$TARGET_CS_SDC"/>
		<xsl:with-param name="name" select="$DC"/>
	</xsl:call-template>
	
	<xsl:call-template name="link_of_server_console">
		<xsl:with-param name="target" select="$TARGET_CS_SRULE"/>
		<xsl:with-param name="name" select="$BUSINESSRULE"/>
	</xsl:call-template>

</xsl:element>@
</xsl:template>


<!-- ****** ob`TuN ****** -->

<xsl:template name="link_of_server_console">
<xsl:param name="target" />
<xsl:param name="name" />

<xsl:element name="a">
	<xsl:attribute name="href">
		<xsl:call-template name="create_link">
			<xsl:with-param name="data_type" select="$target"/>
			<xsl:with-param name="select_type" select="1"/>
			<xsl:with-param name="id" select="//dynamic_document/env/ssub_id"/>
		</xsl:call-template>
	</xsl:attribute>
	<xsl:choose>
		<xsl:when test="$DATA_TYPE = $target">
			<xsl:call-template name="image_of_goto_selected" />
			<xsl:element name="span">
				<xsl:attribute name="class">selected</xsl:attribute>
				<xsl:value-of select="$name" />
			</xsl:element>
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="image_of_goto" />
			<xsl:element name="span">
				<xsl:attribute name="class">unselected</xsl:attribute>
				<xsl:value-of select="$name" />
			</xsl:element>
		</xsl:otherwise>
	</xsl:choose>
</xsl:element>

</xsl:template>


<!-- ****** ob`TuN ****** -->
<xsl:template name="link_of_batchAttribute">
<xsl:element name="span">
	<xsl:attribute name="style">text-align:right;font-size:10pt;height:15;</xsl:attribute>
	<xsl:call-template name="link_of_server_console">
		<xsl:with-param name="target" select="$TARGET_SMC_DATA"/>
		<xsl:with-param name="name" select="$DATA"/>
	</xsl:call-template>

	<xsl:call-template name="link_of_server_console">
		<xsl:with-param name="target" select="$TARGET_SMC_TRAN"/>
		<xsl:with-param name="name" select="$TRANSACTION"/>
	</xsl:call-template>

	<xsl:if test="not($PRODUCT_TYPE = $PRODUCT_PARALLELFRAME)">
		<xsl:call-template name="link_of_server_console">
			<xsl:with-param name="target" select="$TARGET_SMC_OTRAN"/>
			<xsl:with-param name="name" select="$OUT_TRAN"/>
		</xsl:call-template>
	</xsl:if>

	<xsl:call-template name="link_of_server_console">
		<xsl:with-param name="target" select="$TARGET_SMC_DC"/>
		<xsl:with-param name="name" select="$DC"/>
	</xsl:call-template>

	<xsl:call-template name="link_of_server_console">
		<xsl:with-param name="target" select="$TARGET_SMC_RULE"/>
		<xsl:with-param name="name" select="$BUSINESSRULE"/>
	</xsl:call-template>

</xsl:element>@
</xsl:template>

<!-- ****** t[ ****** -->
<xsl:template name="frame_info">
<xsl:element name="table">
	<xsl:attribute name="class">frame</xsl:attribute>

	<xsl:element name="tr">
	<xsl:if test="$CONSOLE_TYPE = $TARGET_CS_JAVACLIENT">
		<xsl:element name="th"><xsl:attribute name="class">frame</xsl:attribute><xsl:value-of select="$CAMC" /></xsl:element>
		<xsl:element name="td"><xsl:attribute name="class">frame</xsl:attribute>
			<xsl:element name="a">
				<xsl:attribute name="href">
					<xsl:call-template name="create_link">
						<xsl:with-param name="data_type" select="$TARGET_CS_JAVACLIENT"/>
						<xsl:with-param name="select_type" select="2"/>
						<xsl:with-param name="id" select="$FRAME_ID"/>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:call-template name="image_of_goto" /> <xsl:value-of select="/dynamic_document/env/frame_lname" />
			</xsl:element>
		</xsl:element>
	</xsl:if>
	<xsl:if test="$CONSOLE_TYPE = $TARGET_CS_HTMLCLIENT">
		<xsl:element name="th"><xsl:attribute name="class">frame</xsl:attribute><xsl:value-of select="$HAMC" /></xsl:element>
		<xsl:element name="td"><xsl:attribute name="class">frame</xsl:attribute>
			<xsl:element name="a">
				<xsl:attribute name="href">
					<xsl:call-template name="create_link">
						<xsl:with-param name="data_type" select="$TARGET_CS_HTMLCLIENT"/>
						<xsl:with-param name="select_type" select="2"/>
						<xsl:with-param name="id" select="$FRAME_ID"/>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:call-template name="image_of_goto" /> <xsl:value-of select="/dynamic_document/env/frame_lname" />
			</xsl:element>
		</xsl:element>
	</xsl:if>
	</xsl:element>
</xsl:element>

<xsl:element name="br" />
</xsl:template>

<!-- ****** T[o[ ****** -->
<xsl:template name="server_info">
<xsl:element name="table">
<xsl:attribute name="class">frame</xsl:attribute>
	<xsl:element name="tr">
	<xsl:if test="$CONSOLE_TYPE = $TARGET_CS_SSUB">
		<xsl:element name="th"><xsl:attribute name="class">frame</xsl:attribute><xsl:value-of select="$SAMC" /></xsl:element>
		<xsl:element name="td"><xsl:attribute name="class">frame</xsl:attribute>
		<xsl:element name="a">
				<xsl:attribute name="href">
					<xsl:call-template name="create_link">
						<xsl:with-param name="data_type" select="$TARGET_CS_SSUB"/>
						<xsl:with-param name="select_type" select="2"/>
						<xsl:with-param name="id" select="//dynamic_document/env/ssub_id"/>
					</xsl:call-template>
				</xsl:attribute>
			<xsl:call-template name="image_of_goto" /><xsl:value-of select="/dynamic_document/env/ssub_lname" />
		</xsl:element>
		</xsl:element>
	</xsl:if>
	<xsl:if test="$CONSOLE_TYPE = $TARGET_SMC_BSUB">
		<xsl:element name="th"><xsl:attribute name="class">frame</xsl:attribute><xsl:value-of select="$SMC" /></xsl:element>
		<xsl:element name="td"><xsl:attribute name="class">frame</xsl:attribute>
		<xsl:element name="a">
				<xsl:attribute name="href">
					<xsl:call-template name="create_link">
						<xsl:with-param name="data_type" select="$TARGET_SMC_BSUB"/>
						<xsl:with-param name="select_type" select="2"/>
						<xsl:with-param name="id" select="//dynamic_document/env/ssub_id"/>
					</xsl:call-template>
				</xsl:attribute>
			<xsl:call-template name="image_of_goto" /><xsl:value-of select="/dynamic_document/env/ssub_lname" />
		</xsl:element>
		</xsl:element>
	</xsl:if>
	</xsl:element>
</xsl:element>

	<xsl:element name="br" />
</xsl:template>

<!-- ****** <xsl:value-of select="$BASE_CLASS" />\ ****** -->
<xsl:template name="base_class" match="base_class">
	<xsl:variable name="class"><xsl:value-of select="class_name" /></xsl:variable>
	<xsl:if test="$class != ''">
	<xsl:element name="a">
		<xsl:attribute name="href">
			<xsl:choose>
			<xsl:when test="contains($class,'jp.ne.mki.wedge')"><xsl:value-of select="/dynamic_document/env/javadoc_path"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="/dynamic_document/env/javadoc_user_path"/></xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="translate($class,'.','/')" />.html</xsl:attribute>
		<xsl:value-of select="logical_name" /><xsl:element name="br" /><xsl:value-of select="physical_name" /><xsl:element name="br" /><xsl:value-of select="$class" />
	</xsl:element>
	</xsl:if>
</xsl:template>

<!-- ****** <xsl:value-of select="$BASE_CLASS" />\ ****** -->
<xsl:template match="format_class">
		<xsl:call-template name="base_class" /><xsl:element name="br" />
		<xsl:value-of select="format_param"/>
</xsl:template>
<xsl:template match="format_class2">
		<xsl:call-template name="base_class" /><xsl:element name="br" />
		<xsl:value-of select="format_param"/>
</xsl:template>

<!-- ****** ҏWNX\ ****** -->
<xsl:template name="format_class">
	<xsl:if test="format_class/id[.!='']">
		<xsl:apply-templates select="format_class" />
	</xsl:if>
	<xsl:if test="format_class/id[.='']">
		<xsl:apply-templates select="format_class2" />
	</xsl:if>
</xsl:template>

<!-- ****** DBNX\ ****** -->
<xsl:template match="db_class">
	<xsl:call-template name="base_class" />
	<xsl:element name="br" />
	<xsl:value-of select="db_transfer_param"/>
</xsl:template>

<!-- ****** `FbNNX\ ****** -->
<xsl:template match="check_class">
	<xsl:call-template name="base_class" />
	<xsl:element name="br" />
	<xsl:value-of select="db_transfer_param"/>
</xsl:template>

<!-- ****** RpC\ ****** -->
<xsl:template name="compiled">
	<xsl:if test="compiled[.='0']">
		<xsl:element name="span">
			<xsl:attribute name="style">color:red;</xsl:attribute>
			<xsl:value-of select="$UN_SETTLED" />
		</xsl:element>
	</xsl:if>
	<xsl:if test="compiled[.='1']">
		<xsl:value-of select="$SETTLED" />
	</xsl:if>
</xsl:template>

<!-- *********************************************** -->
<!-- *************** sW[\ ************ -->
<!-- *********************************************** -->

<xsl:template match="executions" name="executions">
	<xsl:apply-templates select="before"/>
	<xsl:apply-templates select="after"/>
	<xsl:apply-templates select="load"/>
	<xsl:apply-templates select="open"/>
	<xsl:apply-templates select="close"/>
	<xsl:apply-templates select="dispose"/>
	<xsl:apply-templates select="click"/>
	<xsl:apply-templates select="wclick"/>
</xsl:template>
<!-- ************ -->
<xsl:template match="before">
	<xsl:element name="br" />
	<xsl:variable name="caption"><xsl:value-of select="$BEFORE" /></xsl:variable>
	<xsl:call-template name="execution" ><xsl:with-param name="caption" select="$caption"/></xsl:call-template>

</xsl:template>
<!-- ************ -->
<xsl:template match="after">
	<xsl:element name="br" />
	<xsl:variable name="caption"><xsl:value-of select="$AFTER" /></xsl:variable>
	<xsl:call-template name="execution"><xsl:with-param name="caption" select="$caption"/></xsl:call-template>
</xsl:template>
<!-- ************ -->
<xsl:template match="load">
	<xsl:element name="br" />
	<xsl:variable name="caption"><xsl:value-of select="$ONLOAD" /></xsl:variable>
	<xsl:call-template name="execution"><xsl:with-param name="caption" select="$caption"/></xsl:call-template>
</xsl:template>
<!-- ************ -->
<xsl:template match="close">
	<xsl:element name="br" />
	<xsl:variable name="caption"><xsl:value-of select="$ONCLOSE" /></xsl:variable>
	<xsl:call-template name="execution"><xsl:with-param name="caption" select="$caption"/></xsl:call-template>
</xsl:template>
<!-- ************ -->
<xsl:template match="open">
	<xsl:element name="br" />
	<xsl:variable name="caption"><xsl:value-of select="$ONOPEN" /></xsl:variable>
	<xsl:call-template name="execution"><xsl:with-param name="caption" select="$caption"/></xsl:call-template>
</xsl:template>
<!-- ************ -->
<xsl:template match="dispose">
	<xsl:element name="br" />
	<xsl:variable name="caption"><xsl:value-of select="$ONDISPOSE" /></xsl:variable>
	<xsl:call-template name="execution"><xsl:with-param name="caption" select="$caption"/></xsl:call-template>
</xsl:template>
<!-- ************ -->
<xsl:template match="click">
	<xsl:element name="br" />
	<xsl:variable name="caption"><xsl:value-of select="$CLICK" /></xsl:variable>
	<xsl:call-template name="execution"><xsl:with-param name="caption" select="$caption"/></xsl:call-template>
</xsl:template>
<!-- ************ -->
<xsl:template match="wclick">
	<xsl:element name="br" />
	<xsl:variable name="caption"><xsl:value-of select="$WCLICK" /></xsl:variable>
	<xsl:call-template name="execution"><xsl:with-param name="caption" select="$caption"/></xsl:call-template>
</xsl:template>


<xsl:template name="execution">
	<xsl:param name="caption"/>
	<xsl:element name="table">
		<xsl:attribute name="class">main</xsl:attribute>
		<xsl:attribute name="summary">execution</xsl:attribute>

		<xsl:element name="caption"><xsl:value-of select="$caption" /></xsl:element>
		<xsl:element name="tr"><xsl:attribute name="style">width:100%</xsl:attribute>
			<xsl:element name="th"></xsl:element>
			<xsl:element name="th"><xsl:attribute name="colspan">3</xsl:attribute><xsl:value-of select="$OBJECT" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$USER_ERROR" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$PARAMETER" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$BEFORE_DIALOG" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$AFTER_DIALOG" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$ERROR_DIALOG" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$NEXT_ITEM" /></xsl:element>
		</xsl:element>
		<xsl:for-each select="record">
			<xsl:element name="tr">
			<xsl:element name="td"><xsl:attribute name="style">wtext-align:right</xsl:attribute><xsl:number level="single" format="1" count="record" /></xsl:element>
			<xsl:element name="td"><xsl:attribute name="style">wtext-align:center</xsl:attribute>
			<xsl:choose>
				<xsl:when test="enable[.='1']"></xsl:when>
				<xsl:when test="enable[.='0']">~</xsl:when>
				<xsl:otherwise></xsl:otherwise>
			</xsl:choose>
			</xsl:element>
			<xsl:choose>
		    	<xsl:when test="tran/id[.!='']">
					<xsl:element name="td">
						<xsl:call-template name="image_of_tran"/>
					</xsl:element>
					<xsl:element name="td">
						<xsl:element name="a">
							<xsl:attribute name="href">
								<xsl:call-template name="create_link">
									<xsl:with-param name="data_type" select="$TARGET_CS_CTRAN"/>
									<xsl:with-param name="select_type" select="2"/>
									<xsl:with-param name="id" select="tran/id"/>
								</xsl:call-template>
							</xsl:attribute>
							<xsl:value-of select="tran/logical_name" /><xsl:element name="br" /><xsl:value-of select="tran/physical_name" />
						</xsl:element>
					</xsl:element>
				</xsl:when>
				<xsl:otherwise>
					<xsl:element name="td">
						<xsl:call-template name="image_of_rule"/>
					</xsl:element>
					<xsl:element name="td">
						<xsl:element name="a">
							<xsl:attribute name="href">
								<xsl:call-template name="create_link">
									<xsl:with-param name="data_type" select="$TARGET_CS_CRULE"/>
									<xsl:with-param name="select_type" select="2"/>
									<xsl:with-param name="id" select="rule/id"/>
								</xsl:call-template>
							</xsl:attribute>
							<xsl:value-of select="rule/logical_name" /><xsl:element name="br" /><xsl:value-of select="rule/physical_name" />
						</xsl:element>
					</xsl:element>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:element name="td"><xsl:value-of select="user_error" /></xsl:element>
			<xsl:element name="td"><xsl:value-of select="param" /></xsl:element>
			<xsl:element name="td"><xsl:value-of select="before_dialog" /></xsl:element>
			<xsl:element name="td"><xsl:value-of select="after_dialog" /></xsl:element>
			<xsl:element name="td"><xsl:value-of select="error_dialog" /></xsl:element>
			<xsl:element name="td"><xsl:if test="next_item/id[.!='']" >
					<xsl:element name="a">
							<xsl:attribute name="href">
								<xsl:call-template name="create_link">
									<xsl:with-param name="data_type" select="$TARGET_CS_ITEM"/>
									<xsl:with-param name="select_type" select="2"/>
									<xsl:with-param name="id" select="next_item/id"/>
								</xsl:call-template>
							</xsl:attribute>
						<xsl:value-of select="next_item/logical_name" />
					</xsl:element>
					</xsl:if>
			</xsl:element>
			</xsl:element>
		</xsl:for-each>
	</xsl:element>
</xsl:template>

<!-- *********************************************** -->
<!-- ************* T[o@Switch-case ************* -->
<!-- *********************************************** -->
<xsl:template match="decition_table/dt">
	<xsl:param name="dc_datatype"/>
	<xsl:param name="rule_datatype"/>
	<xsl:param name="tran_datatype"/>
	<xsl:element name="br" />
	
	<xsl:element name="span">
		<xsl:attribute name="class">title</xsl:attribute>
		<xsl:call-template name="image_of_dtable" />
		 <xsl:value-of select="logical_name" /> (<xsl:value-of select="physical_name" />)
	</xsl:element>
	<xsl:element name="br" />
	<xsl:apply-templates select="decition_type" >
			<xsl:with-param name="dc_datatype" select="$dc_datatype"/>
			<xsl:with-param name="rule_datatype" select="$rule_datatype"/>
			<xsl:with-param name="tran_datatype" select="$tran_datatype"/>
	</xsl:apply-templates>
</xsl:template>

<!-- -->
<xsl:template match="decition_type">
	<xsl:param name="dc_datatype"/>
	<xsl:param name="rule_datatype"/>
	<xsl:param name="tran_datatype"/>

	<xsl:for-each select="type">
		<xsl:element name="div">
			<xsl:attribute name="class">dtabletitle</xsl:attribute>
			<xsl:element name="span">
				<xsl:attribute name="class">dtabletitleMargin</xsl:attribute>@
			</xsl:element>
			<xsl:value-of select="decision_execute_type" /> : <xsl:value-of select="logical_name" /> (<xsl:value-of select="physical_name" />)
		</xsl:element>
		<xsl:element name="div">
			<xsl:attribute name="class">dtable</xsl:attribute>
			<xsl:element name="table">
				<xsl:attribute name="class">main</xsl:attribute>
				<xsl:attribute name="style">width:90%;margin-left:30px</xsl:attribute>
				<xsl:attribute name="summary">dc</xsl:attribute>
				<xsl:element name="tr">
					<xsl:attribute name="style">width:100%</xsl:attribute>
					<xsl:element name="th"><xsl:attribute name="style">width:20px</xsl:attribute></xsl:element>
					<xsl:element name="th"><xsl:attribute name="style">width:20px</xsl:attribute></xsl:element>
					<xsl:element name="th"><xsl:attribute name="style">width:100px</xsl:attribute></xsl:element>
					<xsl:element name="th"><xsl:attribute name="style">width:400px</xsl:attribute><xsl:value-of select="$LOGICAL_NAME" /><xsl:element name="br" /><xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
					<xsl:element name="th"><xsl:attribute name="style">width:90px</xsl:attribute><xsl:value-of select="$USER_ERROR" /></xsl:element>
					<xsl:element name="th"><xsl:value-of select="$COMMENT" /></xsl:element>
				</xsl:element>
				<xsl:apply-templates select="decition_dc" >
					<xsl:with-param name="dc_datatype" select="$dc_datatype"/>
					<xsl:with-param name="rule_datatype" select="$rule_datatype"/>
					<xsl:with-param name="tran_datatype" select="$tran_datatype"/>
				</xsl:apply-templates>
			</xsl:element>
		</xsl:element>
	</xsl:for-each>
</xsl:template>

<xsl:template match="decition_dc">
	<xsl:param name="dc_datatype"/>
	<xsl:param name="rule_datatype"/>
	<xsl:param name="tran_datatype"/>


		<xsl:if test="dc/id[.!='']">
			<xsl:element name="tr">
				<xsl:element name="td">
					<xsl:attribute name="style">text-align:right</xsl:attribute>
					<xsl:number level="single" format="1" count="decition_dc" />
				</xsl:element>
				<xsl:element name="td">
					<xsl:attribute name="style">text-align:center</xsl:attribute>
					<xsl:choose>
					<xsl:when test="enable[.='1']"></xsl:when>
					<xsl:when test="enable[.='0']">~</xsl:when>
					<xsl:otherwise></xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<xsl:element name="td">
					<xsl:attribute name="style">font:0.7em;</xsl:attribute>
					<xsl:call-template name="image_of_dc"/><xsl:value-of select="$DC" />
				</xsl:element>
				<xsl:element name="td">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:call-template name="create_link">
								<xsl:with-param name="data_type" select="$dc_datatype"/>
								<xsl:with-param name="select_type" select="2"/>
								<xsl:with-param name="id" select="dc/id"/>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:value-of select="dc/logical_name" /><xsl:element name="br" /><xsl:value-of select="dc/physical_name" />
					</xsl:element>
				</xsl:element>
				<xsl:element name="td"><xsl:value-of select="user_error" /></xsl:element>
				<xsl:element name="td"><xsl:value-of select="dc/memo" /></xsl:element>
			</xsl:element>
		</xsl:if>
		
		<xsl:if test="srule/id[.!='']">
			<xsl:element name="tr">
				<xsl:element name="td">
					<xsl:attribute name="style">text-align:right</xsl:attribute>
					<xsl:number level="single" format="1" count="decition_dc" />
				</xsl:element>
				<xsl:element name="td">
					<xsl:attribute name="style">text-align:center</xsl:attribute>
					<xsl:choose>
					<xsl:when test="enable[.='1']"></xsl:when>
					<xsl:when test="enable[.='0']">~</xsl:when>
					<xsl:otherwise></xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<xsl:element name="td">
					<xsl:attribute name="style">font:0.7em;</xsl:attribute>
					<xsl:call-template name="image_of_rule"/><xsl:value-of select="$BUSINESSRULE" />
				</xsl:element>
				<xsl:element name="td">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:call-template name="create_link">
								<xsl:with-param name="data_type" select="$rule_datatype"/>
								<xsl:with-param name="select_type" select="2"/>
								<xsl:with-param name="id" select="srule/id"/>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:value-of select="srule/logical_name" /><xsl:element name="br" /><xsl:value-of select="srule/physical_name" />
					</xsl:element>
				</xsl:element>
				<xsl:element name="td"><xsl:value-of select="user_error" /></xsl:element>
				<xsl:element name="td"><xsl:value-of select="srule/memo" /></xsl:element>
			</xsl:element>
		</xsl:if>
		
		<xsl:if test="stran/id[.!='']">
			<xsl:element name="tr">
				<xsl:element name="td">
					<xsl:attribute name="style">text-align:right</xsl:attribute>
					<xsl:number level="single" format="1" count="decition_dc" />
				</xsl:element>
				<xsl:element name="td">
					<xsl:attribute name="style">text-align:center</xsl:attribute>
					<xsl:choose>
					<xsl:when test="enable[.='1']"></xsl:when>
					<xsl:when test="enable[.='0']">~</xsl:when>
					<xsl:otherwise></xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<xsl:element name="td">
					<xsl:attribute name="style">font:0.7em;</xsl:attribute>
					<xsl:call-template name="image_of_subtran"/><xsl:value-of select="$TRANSACTION" />
				</xsl:element>
				<xsl:element name="td">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:call-template name="create_link">
								<xsl:with-param name="data_type" select="$tran_datatype"/>
								<xsl:with-param name="select_type" select="2"/>
								<xsl:with-param name="id" select="stran/id"/>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:value-of select="stran/logical_name" /><xsl:element name="br" /><xsl:value-of select="stran/physical_name" />
					</xsl:element>
				</xsl:element>
				<xsl:element name="td"><xsl:value-of select="user_error" /></xsl:element>
				<xsl:element name="td"><xsl:value-of select="stran/memo" /></xsl:element>
			</xsl:element>
		</xsl:if>
</xsl:template>

<!-- *********************************************** -->
<!-- ************ /<xsl:value-of select="$OUT_REC" />@o ************** -->
<!-- *********************************************** -->
<xsl:template name="write_record">
	<xsl:param name="data_type" />
	<xsl:variable name="inrec"><xsl:value-of select="$IN_REC" /></xsl:variable>
	<xsl:variable name="outrec"><xsl:value-of select="$OUT_REC" /></xsl:variable>

	<xsl:element name="table">
		<xsl:attribute name="style">width:100%;background-color:write;</xsl:attribute>
		<xsl:attribute name="summary">record</xsl:attribute>

	<xsl:element name="tr">
		<xsl:attribute name="valign">top;</xsl:attribute>
		<xsl:attribute name="style">background-color:write;</xsl:attribute>

		<xsl:element name="td">
			<xsl:attribute name="style">width:50%;background-color:white;border:none;</xsl:attribute>
				<xsl:for-each select="in_record">
					<xsl:call-template name="write_record_sub">
						<xsl:with-param name="name" select="$inrec"/>
						<xsl:with-param name="data_type" select="$data_type"/>
					</xsl:call-template>
				</xsl:for-each>
		</xsl:element>
		<xsl:element name="td">
			<xsl:attribute name="style">width:50%;background-color:white;border:none;</xsl:attribute>
				<xsl:for-each select="out_record">
					<xsl:call-template name="write_record_sub">
						<xsl:with-param name="name" select="$outrec"/>
						<xsl:with-param name="data_type" select="$data_type"/>
					</xsl:call-template>
				</xsl:for-each>
			</xsl:element>
		</xsl:element>
	</xsl:element>
</xsl:template>
<!-- ************ /<xsl:value-of select="$OUT_REC" />@o Tu[` ************** -->
<xsl:template name="write_record_sub">
	<xsl:param name="name"/>
	<xsl:param name="data_type" />

	<xsl:call-template name="image_of_item"/><xsl:value-of select="$name"/>
	<xsl:element name="table">
		<xsl:attribute name="class">main</xsl:attribute>
		<xsl:attribute name="summary">record</xsl:attribute>
		
		<xsl:element name="tr">
			<xsl:element name="th"></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$LOGICAL_NAME" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$ITEM_TYPE" /></xsl:element>
		</xsl:element>
		<xsl:for-each select="record">
			<xsl:element name="tr">
				<xsl:element name="td"><xsl:number level="single" format="1" count="record" /></xsl:element>
				<xsl:element name="td">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:call-template name="create_link">
								<xsl:with-param name="data_type" select="$data_type"/>
								<xsl:with-param name="select_type" select="2"/>
								<xsl:with-param name="id" select="id"/>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:value-of select="logical_name" />
					</xsl:element>
				</xsl:element>
				<xsl:element name="td"><xsl:value-of select="physical_name" /></xsl:element>
				<xsl:element name="td"><xsl:value-of select="item_type" /></xsl:element>
			</xsl:element>
		</xsl:for-each>
	</xsl:element>
</xsl:template>

<!-- ************************************************** -->
<!-- ************ /<xsl:value-of select="$OUT_REC" /> For Data ************** -->
<!-- ************************************************** -->

<xsl:template name="write_data_record">

	<xsl:element name="table">
		<xsl:attribute name="style">width:100%;background-color:write</xsl:attribute>
		<xsl:attribute name="summary">record</xsl:attribute>

		<xsl:element name="tr">
			<xsl:element name="td">
				<xsl:attribute name="style">width:50%;background-color:white;border:none;</xsl:attribute>
				<xsl:call-template name="image_of_data"/><xsl:value-of select="$IN_REC" />
			</xsl:element>
			<xsl:element name="td">
				<xsl:attribute name="style">width:50%;background-color:white;border:none;</xsl:attribute>
				<xsl:call-template name="image_of_data"/><xsl:value-of select="$OUT_REC" />
			</xsl:element>
		</xsl:element>
		
		<xsl:element name="tr">
			<xsl:attribute name="valign">top</xsl:attribute>
			<xsl:attribute name="style">background-color:write;</xsl:attribute>

		<xsl:element name="td">
			<xsl:attribute name="style">width:50%;background-color:white;border:none;</xsl:attribute>
			<xsl:for-each select="in_record">
				<xsl:call-template name="write_data_record_sub">
				</xsl:call-template>
			</xsl:for-each>
		</xsl:element>
		
		<xsl:element name="td">
			<xsl:attribute name="style">width:50%;background-color:white;border:none;</xsl:attribute>
			<xsl:for-each select="out_record">
				<xsl:call-template name="write_data_record_sub">
				</xsl:call-template>
			</xsl:for-each>
		</xsl:element>
		</xsl:element>
	</xsl:element>
</xsl:template>
<!-- ************ /<xsl:value-of select="$OUT_REC" />@o Tu[` ************** -->
<xsl:template name="write_data_record_sub">
	<xsl:param name="name"/>

	<xsl:element name="table">
		<xsl:attribute name="class">main</xsl:attribute>
		<xsl:attribute name="summary">record</xsl:attribute>

		<xsl:element name="tr">
			<xsl:element name="th"></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$LOGICAL_NAME" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$ITEM_TYPE" /></xsl:element>
		</xsl:element>
		<xsl:for-each select="record">
			<xsl:element name="tr">
				<xsl:element name="td"><xsl:number level="single" format="1" count="record" /></xsl:element>
				<xsl:element name="td">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:call-template name="create_link">
								<xsl:with-param name="data_type" select="$TARGET_DAT_DATA"/>
								<xsl:with-param name="select_type" select="3"/>
								<xsl:with-param name="id" select="./id"/>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:value-of select="logical_name" />
					</xsl:element>
				</xsl:element>
				<xsl:element name="td"><xsl:value-of select="physical_name" /></xsl:element>
				<xsl:element name="td"><xsl:value-of select="item_type" /></xsl:element>
			</xsl:element>
		</xsl:for-each>
		
	</xsl:element>
</xsl:template>

<!-- ************************************************** -->
<!-- ************ /<xsl:value-of select="$OUT_REC" /> For SData ************* -->
<!-- ************************************************** -->

<xsl:template name="write_sdata_record">

	<xsl:element name="table">
		<xsl:attribute name="style">width:100%;background-color:write</xsl:attribute>
		<xsl:attribute name="summary">record</xsl:attribute>

		<xsl:element name="tr">
			<xsl:element name="td">
				<xsl:attribute name="style">width:50%;background-color:white;border:none;</xsl:attribute>
				<xsl:call-template name="image_of_data"/><xsl:value-of select="$IN_REC" />
			</xsl:element>
			<xsl:element name="td">
				<xsl:attribute name="style">width:50%;background-color:white;border:none;</xsl:attribute>
				<xsl:call-template name="image_of_data"/><xsl:value-of select="$OUT_REC" />
			</xsl:element>
		</xsl:element>
		
		<xsl:element name="tr">
			<xsl:attribute name="valign">top</xsl:attribute>
			<xsl:attribute name="style">background-color:write;</xsl:attribute>
			
			<xsl:element name="td">
				<xsl:attribute name="style">width:50%;background-color:white;border:none;</xsl:attribute>
				<xsl:for-each select="in_record">
					<xsl:call-template name="write_sdata_record_sub">
						<xsl:with-param name="name" select="$IN_REC"/>
					</xsl:call-template>
				</xsl:for-each>
			</xsl:element>
			
			<xsl:element name="td">
				<xsl:attribute name="style">width:50%;background-color:white;border:none;</xsl:attribute>
				<xsl:for-each select="out_record">
					<xsl:call-template name="write_sdata_record_sub">
						<xsl:with-param name="name" select="$OUT_REC"/>
					</xsl:call-template>
				</xsl:for-each>
			</xsl:element>
		</xsl:element>
		
	</xsl:element>
</xsl:template>


<!-- ************ /<xsl:value-of select="$OUT_REC" />@o Tu[` ************** -->
<xsl:template name="write_sdata_record_sub">
	<xsl:param name="name"/>
	
	<xsl:element name="table">
		<xsl:attribute name="class">main</xsl:attribute>
		<xsl:attribute name="summary">record</xsl:attribute>

		<xsl:element name="tr">
			<xsl:element name="th"></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$LOGICAL_NAME" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$ITEM_TYPE" /></xsl:element>
		</xsl:element>
		<xsl:for-each select="record">
			<xsl:element name="tr">
				<xsl:element name="td"><xsl:number level="single" format="1" count="record" /></xsl:element>
				<xsl:element name="td">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:call-template name="create_link">
								<xsl:with-param name="data_type" select="$TARGET_CS_SDATA"/>
								<xsl:with-param name="select_type" select="2"/>
								<xsl:with-param name="id" select="./id"/>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:value-of select="logical_name" />
					</xsl:element>
				</xsl:element>
				<xsl:element name="td"><xsl:value-of select="physical_name" /></xsl:element>
				<xsl:element name="td"><xsl:value-of select="item_type" /></xsl:element>
			</xsl:element>
		</xsl:for-each>
	</xsl:element>
</xsl:template>
<!-- ************************************************** -->
<!-- ************ /<xsl:value-of select="$OUT_REC" /> For BData ************* -->
<!-- ************************************************** -->

<xsl:template name="write_bdata_record">

	<xsl:element name="table">
		<xsl:attribute name="style">width:100%;background-color:write</xsl:attribute>
		<xsl:attribute name="summary">record</xsl:attribute>

		<xsl:element name="tr">
			<xsl:element name="td">
				<xsl:attribute name="style">width:50%;background-color:white;border:none;</xsl:attribute>
				<xsl:call-template name="image_of_data"/><xsl:value-of select="$IN_REC" />
			</xsl:element>
			<xsl:element name="td">
				<xsl:attribute name="style">width:50%;background-color:white;border:none;</xsl:attribute>
				<xsl:call-template name="image_of_data"/><xsl:value-of select="$OUT_REC" />
			</xsl:element>
		</xsl:element>

		<xsl:element name="tr">
			<xsl:attribute name="valign">top</xsl:attribute>
			<xsl:attribute name="style">background-color:write;</xsl:attribute>

			<xsl:element name="td">
				<xsl:attribute name="style">width:50%;background-color:white;border:none;</xsl:attribute>
				<xsl:for-each select="in_record">
					<xsl:call-template name="write_bdata_record_sub">
						<xsl:with-param name="name" select="$IN_REC"/>
					</xsl:call-template>
				</xsl:for-each>
			</xsl:element>
			<xsl:element name="td">
				<xsl:attribute name="style">width:50%;background-color:white;border:none;</xsl:attribute>
				<xsl:for-each select="out_record">
					<xsl:call-template name="write_bdata_record_sub">
						<xsl:with-param name="name" select="$OUT_REC"/>
					</xsl:call-template>
				</xsl:for-each>
			</xsl:element>
		</xsl:element>
	</xsl:element>
</xsl:template>

<!-- ************ /<xsl:value-of select="$OUT_REC" />@o Tu[` ************** -->
<xsl:template name="write_bdata_record_sub">
	<xsl:param name="name"/>

	<xsl:element name="table">
		<xsl:attribute name="class">main</xsl:attribute>
		<xsl:attribute name="summary">record</xsl:attribute>

		<xsl:element name="tr">
			<xsl:element name="th"></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$LOGICAL_NAME" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$ITEM_TYPE" /></xsl:element>
		</xsl:element>
		<xsl:for-each select="record">
			<xsl:element name="tr">
				<xsl:element name="td"><xsl:number level="single" format="1" count="record" /></xsl:element>
				<xsl:element name="td">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:call-template name="create_link">
								<xsl:with-param name="data_type" select="$TARGET_SMC_DATA"/>
								<xsl:with-param name="select_type" select="2"/>
								<xsl:with-param name="id" select="./id"/>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:value-of select="logical_name" />
					</xsl:element>
				</xsl:element>
				<xsl:element name="td"><xsl:value-of select="physical_name" /></xsl:element>
				<xsl:element name="td"><xsl:value-of select="item_type" /></xsl:element>
			</xsl:element>
		</xsl:for-each>
		
	</xsl:element>
</xsl:template>
<!-- ************************************************** -->
<!-- ************  ֘AT[o[Tu  ************** -->
<!-- ************************************************** -->

<xsl:template match="ssubs" name="ssubs">
	<xsl:element name="br" />
	<xsl:element name="table">
		<xsl:attribute name="class">main</xsl:attribute>
		<xsl:attribute name="summary">server_sub</xsl:attribute>

		<xsl:element name="tr">
			<xsl:element name="th"></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$LOGICAL_NAME" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$USE_COUNT" /></xsl:element>
		</xsl:element>
		<xsl:for-each select="record">
			<xsl:element name="tr">
				<xsl:element name="td"><xsl:attribute name="class">image</xsl:attribute><xsl:call-template name="image_of_ssub"/></xsl:element>
				<xsl:element name="td">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:call-template name="create_link">
								<xsl:with-param name="data_type" select="$TARGET_CS_SSUB"/>
								<xsl:with-param name="select_type" select="2"/>
								<xsl:with-param name="id" select="./id"/>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:value-of select="logical_name" />
					</xsl:element>
				</xsl:element>
				<xsl:element name="td"><xsl:value-of select="physical_name" /></xsl:element>
				<xsl:element name="td">
					<xsl:attribute name="style">text-align:right;width:80;</xsl:attribute>
					<xsl:value-of select="count" />
				</xsl:element>
			</xsl:element>
		</xsl:for-each>
	</xsl:element>
</xsl:template>
<!-- ************************************************** -->
<!-- ************  ֘ASMC  ************** -->
<!-- ************************************************** -->

<xsl:template match="smcs" name="smcs">
	<xsl:element name="br" />
	
	<xsl:element name="table">
		<xsl:attribute name="class">main</xsl:attribute>
		<xsl:attribute name="summary">smc</xsl:attribute>

		<xsl:element name="tr">
			<xsl:element name="th"></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$LOGICAL_NAME" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$USE_COUNT" /></xsl:element>
		</xsl:element>
		<xsl:for-each select="record">
			<xsl:element name="tr">
				<xsl:element name="td"><xsl:attribute name="class">image</xsl:attribute><xsl:call-template name="image_of_ssub"/></xsl:element>
				<xsl:element name="td">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:call-template name="create_link">
								<xsl:with-param name="data_type" select="$TARGET_SMC_BSUB"/>
								<xsl:with-param name="select_type" select="2"/>
								<xsl:with-param name="id" select="./id"/>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:value-of select="logical_name" />
					</xsl:element>
				</xsl:element>
				<xsl:element name="td"><xsl:value-of select="physical_name" /></xsl:element>
				<xsl:element name="td">
					<xsl:attribute name="style">text-align:right;width:80;</xsl:attribute>
					<xsl:value-of select="count" />
				</xsl:element>
			</xsl:element>
		</xsl:for-each>
		
	</xsl:element>
</xsl:template>

<!-- ************************************************** -->
<!-- ************  ֘ANCAg  ************** -->
<!-- ************************************************** -->

<xsl:template match="frames" name="frames">
	<xsl:element name="br" />
	<xsl:element name="table">
		<xsl:attribute name="class">main</xsl:attribute>
		<xsl:attribute name="summary">client</xsl:attribute>

		<xsl:element name="tr">
			<xsl:element name="th"></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$LOGICAL_NAME" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$USE_COUNT" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$CLIENT_TYPE" /></xsl:element>
		</xsl:element>
		<xsl:for-each select="record">
			<xsl:element name="tr">
				<xsl:element name="td">
					<xsl:choose>
						<xsl:when test="frame_type[.!='']">
							<xsl:attribute name="class">image</xsl:attribute><xsl:call-template name="image_of_frame"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="class">image</xsl:attribute><xsl:call-template name="image_of_html"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<xsl:element name="td">
					<xsl:choose>
						<xsl:when test="frame_type[.!='']">
							<xsl:element name="a">
								<xsl:attribute name="href">
									<xsl:call-template name="create_link">
										<xsl:with-param name="data_type" select="$TARGET_CS_JAVACLIENT"/>
										<xsl:with-param name="select_type" select="2"/>
										<xsl:with-param name="id" select="./id"/>
									</xsl:call-template>
								</xsl:attribute>
								<xsl:value-of select="logical_name" />
							</xsl:element>
						</xsl:when>
						<xsl:otherwise>
							<xsl:element name="a">
								<xsl:attribute name="href">
									<xsl:call-template name="create_link">
										<xsl:with-param name="data_type" select="$TARGET_CS_HTMLCLIENT"/>
										<xsl:with-param name="select_type" select="2"/>
										<xsl:with-param name="id" select="./id"/>
									</xsl:call-template>
								</xsl:attribute>
								<xsl:value-of select="logical_name" />
							</xsl:element>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<xsl:element name="td"><xsl:value-of select="physical_name" /></xsl:element>
				<xsl:element name="td"><xsl:attribute name="style">text-align:right;width:80;</xsl:attribute><xsl:value-of select="count" /></xsl:element>
			<xsl:element name="td">
					<xsl:choose>
						<xsl:when test="frame_type[.!='']">
							Java
						</xsl:when>
						<xsl:otherwise>
							Html
						</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
			</xsl:element>
		</xsl:for-each>
	</xsl:element>
</xsl:template>

<!-- ************************************************** -->
<!-- ************  ֘Ae[u  ************** -->
<!-- ************************************************** -->
<xsl:template match="tables" name="tables">
	<xsl:element name="br" />
	
	<xsl:element name="table">
		<xsl:attribute name="class">main</xsl:attribute>
		<xsl:attribute name="summary">table</xsl:attribute>

		<xsl:element name="tr">
		<xsl:element name="th">
			<xsl:attribute name="style">width:40%</xsl:attribute>
			SELECT
		</xsl:element>
		<xsl:element name="th">
			<xsl:attribute name="style">width:5%</xsl:attribute>
		</xsl:element>
		<xsl:element name="th">
			<xsl:attribute name="style">width:10%</xsl:attribute>
		</xsl:element>
		<xsl:element name="th">
			<xsl:attribute name="style">width:5%</xsl:attribute>
		</xsl:element>
		<xsl:element name="th">
			<xsl:attribute name="style">width:40%</xsl:attribute>
			INSERT
		</xsl:element>

		</xsl:element>
		<xsl:element name="tr">
		<xsl:element name="td">
			<xsl:attribute name="rowspan">6</xsl:attribute>
			<xsl:for-each select="select/record">
			<xsl:element name="a">
				<xsl:attribute name="href">
					<xsl:call-template name="create_link">
						<xsl:with-param name="data_type" select="$TARGET_DAT_TABLE"/>
						<xsl:with-param name="select_type" select="2"/>
						<xsl:with-param name="id" select="./id"/>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:value-of select="logical_name" /><xsl:element name="br" /><xsl:value-of select="physical_name" />
			</xsl:element><xsl:element name="br" /><xsl:element name="br" />
			</xsl:for-each>
		</xsl:element>
		
		<xsl:element name="th">
			<xsl:attribute name="rowspan">6</xsl:attribute>
			
		</xsl:element>
		<xsl:element name="td">
			<xsl:attribute name="rowspan">6</xsl:attribute>
				<xsl:attribute name="style">width:20%;text-align:center;</xsl:attribute>
						<xsl:choose>
							<xsl:when test="$CONSOLE_TYPE = $TARGET_CS_JAVACLIENT">
									<xsl:call-template name="image_of_frame"/>
							</xsl:when>
							<xsl:when test="$CONSOLE_TYPE = $TARGET_CS_HTMLCLIENT">
									<xsl:call-template name="image_of_frame"/>
							</xsl:when>
							<xsl:when test="$CONSOLE_TYPE = $TARGET_CS_SSUB">
									<xsl:call-template name="image_of_ssub"/>
							</xsl:when>
							<xsl:when test="$CONSOLE_TYPE = $TARGET_SMC_BSUB">
									<xsl:call-template name="image_of_smc"/>
							</xsl:when>
							<xsl:otherwise></xsl:otherwise>
						</xsl:choose>

				</xsl:element>
				<xsl:element name="th">
					<xsl:attribute name="rowspan">6</xsl:attribute>
					
				</xsl:element>
				<xsl:element name="td">
					<xsl:for-each select="insert/record">
					<xsl:element name="a">
					<xsl:attribute name="href">
						<xsl:call-template name="create_link">
							<xsl:with-param name="data_type" select="$TARGET_DAT_TABLE"/>
							<xsl:with-param name="select_type" select="2"/>
							<xsl:with-param name="id" select="./id"/>
						</xsl:call-template>
					</xsl:attribute>
						<xsl:value-of select="logical_name" /><xsl:element name="br" /><xsl:value-of select="physical_name" />
					</xsl:element><xsl:element name="br" /><xsl:element name="br" />
					</xsl:for-each>
					<xsl:if test="count(insert/record) = 0">
						<xsl:element name="br" />
					</xsl:if>
				</xsl:element>
		</xsl:element>
		<xsl:element name="tr"><xsl:element name="th">UPDATE</xsl:element></xsl:element>
		<xsl:element name="tr"><xsl:element name="td">
					<xsl:for-each select="update/record">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:call-template name="create_link">
								<xsl:with-param name="data_type" select="$TARGET_DAT_TABLE"/>
								<xsl:with-param name="select_type" select="2"/>
								<xsl:with-param name="id" select="./id"/>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:value-of select="logical_name" /><xsl:element name="br" /><xsl:value-of select="physical_name" />
					</xsl:element><xsl:element name="br" /><xsl:element name="br" />
					</xsl:for-each>
					<xsl:if test="count(update/record) = 0">
						<xsl:element name="br" />
					</xsl:if>
				</xsl:element>
		</xsl:element>
		<xsl:element name="tr"><xsl:element name="th">DELETE</xsl:element></xsl:element>
		<xsl:element name="tr">
				<xsl:element name="td">
					<xsl:for-each select="delete/record">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:call-template name="create_link">
								<xsl:with-param name="data_type" select="$TARGET_DAT_TABLE"/>
								<xsl:with-param name="select_type" select="2"/>
								<xsl:with-param name="id" select="./id"/>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:value-of select="logical_name" /><xsl:element name="br" /><xsl:value-of select="physical_name" />
					</xsl:element><xsl:element name="br" /><xsl:element name="br" />
					</xsl:for-each>
					<xsl:if test="count(delete/record) = 0">
						<xsl:element name="br" />
					</xsl:if>
				</xsl:element>
		</xsl:element>
	</xsl:element>

</xsl:template>

<!-- ************************************************** -->
<!-- ********  ֘Af[^Rg[[  ********** -->
<!-- ************************************************** -->
<xsl:template match="dcs" name="dcs">
	<xsl:element name="br" />
	<xsl:element name="table">
		<xsl:attribute name="class">main</xsl:attribute>
		<xsl:attribute name="summary">DataCcontroler</xsl:attribute>

		<xsl:element name="tr">
		<xsl:element name="th">
			<xsl:attribute name="colspan">2</xsl:attribute>
		</xsl:element>
		<xsl:element name="th"><xsl:value-of select="$BASE_CLASS" /></xsl:element>
		</xsl:element>
		<xsl:for-each select="record">
			<xsl:if test="id[.!='']">
			<xsl:element name="tr">
				<xsl:element name="td"><xsl:attribute name="class">image</xsl:attribute><xsl:call-template name="image_of_dc"/></xsl:element>
				<xsl:element name="td">
						<xsl:element name="a">
							<xsl:attribute name="href">
								<xsl:call-template name="create_link">
									<xsl:with-param name="data_type" select="$TARGET_DAT_DC"/>
									<xsl:with-param name="select_type" select="2"/>
									<xsl:with-param name="id" select="./id"/>
								</xsl:call-template>
							</xsl:attribute>
							<xsl:value-of select="logical_name" /><xsl:element name="br" /><xsl:value-of select="physical_name" />
						</xsl:element>
						<xsl:element name="br" />
				</xsl:element>
				<xsl:element name="td"><xsl:apply-templates select="base_class" /></xsl:element>
			</xsl:element>
			</xsl:if>
		</xsl:for-each>
	</xsl:element>
</xsl:template>

<!-- ************************************************** -->
<!-- ************  ֘A<xsl:value-of select="$BUSINESSRULE" />  ************** -->
<!-- ************************************************** -->

<xsl:template match="rules" name="rules">
	<xsl:param name="data_type"/>

	<xsl:if test="count(record) != 0">
		<xsl:call-template name="rule_table">
			<xsl:with-param name="data_type" select="$data_type"/>
		</xsl:call-template>
	</xsl:if>

	<xsl:apply-templates select="in_record">
			<xsl:with-param name="data_type" select="$data_type"/>
	</xsl:apply-templates>

	<xsl:apply-templates select="out_record">
			<xsl:with-param name="data_type" select="$data_type"/>
	</xsl:apply-templates>

</xsl:template>

<!-- ************************************************** -->
<xsl:template match="in_record">
	<xsl:param name="data_type"/>
	<xsl:element name="br" />
		<xsl:call-template name="rule_table">
			<xsl:with-param name="data_type" select="$data_type"/>
			<xsl:with-param name="caption" select="$IN_REC"/>
		</xsl:call-template>
</xsl:template>
<!-- ************************************************** -->
<xsl:template match="out_record">
	<xsl:param name="data_type"/>
	<xsl:element name="br" />
		<xsl:call-template name="rule_table">
			<xsl:with-param name="data_type" select="$data_type"/>
			<xsl:with-param name="caption" select="$OUT_REC"/>
		</xsl:call-template>
</xsl:template>
<!-- ************************************************** -->
<xsl:template name="rule_table">
	<xsl:param name="data_type"/>
	<xsl:param name="caption"/>
	
	<xsl:element name="table">
		<xsl:attribute name="class">main</xsl:attribute>
		<xsl:attribute name="summary">BusinessRule</xsl:attribute>
		<xsl:element name="caption">
			<xsl:value-of select="$caption" />
		</xsl:element>
		<xsl:element name="tr"><xsl:attribute name="style">width:100%</xsl:attribute>
			<xsl:element name="th"><xsl:attribute name="colspan">2</xsl:attribute><xsl:value-of select="$BUSINESSRULE" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$BASE_CLASS" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$PARAMETER" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$COMMENT" /></xsl:element>
		</xsl:element>
		
		<xsl:for-each select="record">
			<xsl:element name="tr">
				<xsl:element name="td"><xsl:attribute name="class">image</xsl:attribute><xsl:call-template name="image_of_rule"/></xsl:element>
				<xsl:element name="td">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:call-template name="create_link">
								<xsl:with-param name="data_type" select="$data_type"/>
								<xsl:with-param name="select_type" select="2"/>
								<xsl:with-param name="id" select="./id"/>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:value-of select="logical_name" /><xsl:element name="br" /><xsl:value-of select="physical_name" />
					</xsl:element>
				</xsl:element>
				<xsl:element name="td">
					<xsl:apply-templates select="base_class"/>
				</xsl:element>
				<xsl:element name="td">
					<xsl:value-of select="param" />
				</xsl:element>
				<xsl:element name="td">
					<xsl:value-of select="comment" />
				</xsl:element>
			</xsl:element>
		</xsl:for-each>
		
	</xsl:element>
</xsl:template>

<!-- ************************************************** -->
<!-- ************  ֘A<xsl:value-of select="$TRANSACTION" />  ************** -->
<!-- ************************************************** -->

<xsl:template match="trans" name="trans">
	<xsl:param name="data_type"/>
	<xsl:if test="count(record) != 0">
		<xsl:call-template name="tran_table">
			<xsl:with-param name="data_type" select="$data_type"/>
		</xsl:call-template>
	</xsl:if>

	<xsl:call-template name="in_tran_record">
			<xsl:with-param name="data_type" select="$data_type"/>
	</xsl:call-template>

	<xsl:call-template name="out_tran_record">
			<xsl:with-param name="data_type" select="$data_type"/>
	</xsl:call-template>

</xsl:template>
<!-- ************************************************** -->
<xsl:template name="in_tran_record">
	<xsl:param name="data_type"/>
		<xsl:for-each select="in_record">
			<xsl:call-template name="tran_table">
				<xsl:with-param name="data_type" select="$data_type"/>
				<xsl:with-param name="caption" select="$IN_REC"/>
			</xsl:call-template>
		</xsl:for-each>
</xsl:template>
<!-- ************************************************** -->
<xsl:template name="out_tran_record">
	<xsl:param name="data_type"/>
		<xsl:for-each select="out_record">
			<xsl:call-template name="tran_table">
				<xsl:with-param name="data_type" select="$data_type"/>
				<xsl:with-param name="caption" select="$OUT_REC"/>
			</xsl:call-template>
		</xsl:for-each>

</xsl:template>
<!-- ************************************************** -->
<xsl:template name="tran_table">
	<xsl:param name="data_type"/>
	<xsl:param name="caption"/>
	<xsl:element name="br" />
	
	<xsl:element name="table">
		<xsl:attribute name="class">main</xsl:attribute>
		<xsl:attribute name="summary">transaction</xsl:attribute>
		<xsl:element name="caption"><xsl:value-of select="$caption" /></xsl:element>
		<xsl:element name="tr">
			<xsl:element name="th"></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$LOGICAL_NAME" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$COMMENT" /></xsl:element>
		</xsl:element>
		
		<xsl:for-each select="record">
			<xsl:element name="tr">
				<xsl:element name="td"><xsl:attribute name="class">image</xsl:attribute><xsl:call-template name="image_of_tran"/></xsl:element>
				<xsl:element name="td">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:call-template name="create_link">
								<xsl:with-param name="data_type" select="$data_type"/>
								<xsl:with-param name="select_type" select="2"/>
								<xsl:with-param name="id" select="./id"/>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:value-of select="logical_name" />
					</xsl:element>
				</xsl:element>
				<xsl:element name="td"><xsl:value-of select="physical_name" /></xsl:element>
				<xsl:element name="td"><xsl:value-of select="comment" /></xsl:element>
			</xsl:element>
		</xsl:for-each>
		
	</xsl:element>
</xsl:template>

<!-- **************************************** -->
<xsl:template name="relation_table">

	<xsl:element name="table">
		<xsl:attribute name="width">100%</xsl:attribute>
		<xsl:attribute name="border">0</xsl:attribute>
		<xsl:attribute name="cellspacing">0</xsl:attribute>
		<xsl:attribute name="cellpadding">0</xsl:attribute>
		<xsl:attribute name="summary"><xsl:value-of select="$RELATION_INFO" /></xsl:attribute>
		
	<xsl:element name="tr">
		<xsl:attribute name="class">select</xsl:attribute>
		<xsl:element name="td">
			<xsl:attribute name="class">select</xsl:attribute>
			<xsl:attribute name="style">text-align:right;font:bold;</xsl:attribute>
			<xsl:value-of select="$RELATION_INFO" />
		</xsl:element>
	</xsl:element>
	
</xsl:element>
</xsl:template>

<!-- ************************************************** -->
<!-- ************     ֘A^C~O     ************** -->
<!-- ************************************************** -->
<xsl:template name="write_timing">
	<xsl:element name="table">
		<xsl:attribute name="class">main</xsl:attribute>
		<xsl:attribute name="summary"><xsl:value-of select="$EXECUTE_OBJECT" /></xsl:attribute>

		<xsl:element name="tr"><xsl:attribute name="style">width:100%</xsl:attribute>
			<xsl:element name="th"><xsl:attribute name="colspan">2</xsl:attribute><xsl:value-of select="$OBJECT" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$TIMING" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$USER_ERROR" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$PARAMETER" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$BEFORE_DIALOG" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$AFTER_DIALOG" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$ERROR_DIALOG" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$NEXT_ITEM" /></xsl:element>
		</xsl:element>
		
		<xsl:for-each select="record">
			<xsl:element name="tr">
			<xsl:choose>
		    	<xsl:when test="item/id[.!='']">
					<xsl:element name="td"><xsl:attribute name="class">image</xsl:attribute>
						<xsl:call-template name="image_of_item"/>
					</xsl:element>
					<xsl:element name="td">
						<xsl:element name="a">
							<xsl:attribute name="href">
								<xsl:call-template name="create_link">
									<xsl:with-param name="data_type" select="$TARGET_CS_ITEM"/>
									<xsl:with-param name="select_type" select="2"/>
									<xsl:with-param name="id" select="item/id"/>
								</xsl:call-template>
							</xsl:attribute>
							<xsl:value-of select="item/logical_name" /><xsl:element name="br" /><xsl:value-of select="item/physical_name" />
						</xsl:element>
					</xsl:element>
				</xsl:when>
		    	<xsl:when test="table/id[.!='']">
					<xsl:element name="td"><xsl:attribute name="class">image</xsl:attribute>
						<xsl:call-template name="image_of_table"/>
					</xsl:element>
					<xsl:element name="td">
						<xsl:element name="a">
							<xsl:attribute name="href">
								<xsl:call-template name="create_link">
									<xsl:with-param name="data_type" select="$TARGET_CS_CTABLE"/>
									<xsl:with-param name="select_type" select="2"/>
									<xsl:with-param name="id" select="table/id"/>
								</xsl:call-template>
							</xsl:attribute>
							<xsl:value-of select="table/logical_name" /><xsl:element name="br" /><xsl:value-of select="table/physical_name" />
						</xsl:element>
					</xsl:element>
				</xsl:when>
				<xsl:otherwise>
					<xsl:element name="td"><xsl:attribute name="class">image</xsl:attribute>
						<xsl:call-template name="image_of_frame"/>
					</xsl:element>
					<xsl:element name="td">
						<xsl:element name="a">
							<xsl:attribute name="href">
								<xsl:call-template name="create_link">
									<xsl:with-param name="data_type" select="$TARGET_CS_JAVACLIENT"/>
									<xsl:with-param name="select_type" select="2"/>
									<xsl:with-param name="id" select="//dynamic_document/env/frame_id"/>
								</xsl:call-template>
							</xsl:attribute>
							<xsl:value-of select="/dynamic_document/env/frame_lname" /><xsl:element name="br" /><xsl:value-of select="/dynamic_document/env/frame_pname" />
						</xsl:element>
					</xsl:element>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:element name="td"><xsl:value-of select="execute_timing" /></xsl:element>
			<xsl:element name="td"><xsl:value-of select="user_error" /></xsl:element>
			<xsl:element name="td"><xsl:value-of select="param" /></xsl:element>
			<xsl:element name="td"><xsl:value-of select="before_dialog" /></xsl:element>
			<xsl:element name="td"><xsl:value-of select="after_dialog" /></xsl:element>
			<xsl:element name="td"><xsl:value-of select="error_dialog" /></xsl:element>
			<xsl:element name="td">
				<xsl:if test="next_item/id[.!='']" >
					<xsl:element name="a">
							<xsl:attribute name="href">
								<xsl:call-template name="create_link">
									<xsl:with-param name="data_type" select="$TARGET_CS_ITEM"/>
									<xsl:with-param name="select_type" select="2"/>
									<xsl:with-param name="id" select="next_item/id"/>
								</xsl:call-template>
							</xsl:attribute>
						<xsl:value-of select="next_item/logical_name" />
					</xsl:element>
				</xsl:if>
			</xsl:element>
			
			</xsl:element>
		</xsl:for-each>
	</xsl:element>
</xsl:template>

<!-- **************************************** -->
<xsl:template name="write_timing_execution">
	<xsl:element name="table">
		<xsl:attribute name="class">main</xsl:attribute>
		<xsl:attribute name="summary"><xsl:value-of select="$EXECUTE_OBJECT" /></xsl:attribute>

		<xsl:element name="tr"><xsl:attribute name="style">width:100%</xsl:attribute>
			<xsl:element name="th"></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$EXECUTION" /> <xsl:value-of select="$LOGICAL_NAME" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$EXECUTION" /> <xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$USE_COUNT" /></xsl:element>
		</xsl:element>
		
		<xsl:for-each select="record">
			<xsl:element name="tr">
					<xsl:element name="td">
						<xsl:attribute name="class">image</xsl:attribute>
						<xsl:call-template name="image_of_execution"/>
					</xsl:element>
					
					<xsl:element name="td">
						<xsl:element name="a">
							<xsl:attribute name="href">
								<xsl:call-template name="create_link">
									<xsl:with-param name="data_type" select="$TARGET_CS_EXECUTION"/>
									<xsl:with-param name="select_type" select="2"/>
									<xsl:with-param name="id" select="id"/>
								</xsl:call-template>
							</xsl:attribute>
							<xsl:value-of select="logical_name" />
						</xsl:element>
					</xsl:element>
					<xsl:element name="td"><xsl:value-of select="physical_name" /></xsl:element>
					<xsl:element name="td">
						<xsl:attribute name="style">text-align:right;width:80;</xsl:attribute>
						<xsl:value-of select="count" />
					</xsl:element>
			</xsl:element>
		</xsl:for-each>
	</xsl:element>
</xsl:template>

<!-- tԃf[^ tH[}bg -->

<xsl:template name="formatdate">
	<xsl:param name="word"/>
	
	<xsl:if test="$word[.!='']">
	
	<xsl:value-of select="substring($word,0,5)"/>/<xsl:value-of select="substring($word,5,2)"/>/<xsl:value-of select="substring($word,7,2)"/>
	<xsl:text> </xsl:text>
	<xsl:value-of select="substring($word,9,2)"/>:<xsl:value-of select="substring($word,11,2)"/>:<xsl:value-of select="substring($word,13,2)"/>

	</xsl:if>
</xsl:template>


<!-- Property -->
<xsl:template name="property">
<xsl:element name="br" />
<xsl:element name="table">
	<xsl:attribute name="class">main</xsl:attribute>
	<xsl:attribute name="summary">Property</xsl:attribute>
	<xsl:element name="tr">
		<xsl:element name="th">
			<xsl:attribute name="style">width:60%</xsl:attribute>
			<xsl:value-of select="$PROPERTY" />
		</xsl:element>
		<xsl:element name="th"><xsl:value-of select="$VALUE" /></xsl:element>
	</xsl:element>
<xsl:for-each select="record">
	<xsl:element name="tr">
	<xsl:element name="td">
		<xsl:value-of select="logical_name" /> (<xsl:value-of select="physical_name" />)
		<xsl:element name="br" />
		<xsl:element name="span">
			<xsl:attribute name="style">font-size:12;color:#006699;</xsl:attribute>
			<xsl:value-of select="memo" />
		</xsl:element>
	</xsl:element>
	<xsl:element name="td">
		<xsl:value-of select="value" />
	</xsl:element>
	</xsl:element>
</xsl:for-each>
</xsl:element>
</xsl:template>

</xsl:stylesheet>
