<?xml version="1.0" encoding="shift_jis"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" > 
<xsl:import href="./common.xsl"/>
<xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" />

<!-- ****** TOP ****** -->

<xsl:template match="/">
	<xsl:apply-templates select="dynamic_document">
		<xsl:with-param name="select_type" select="'2'"/>
		<xsl:with-param name="data_type" select="$TARGET_CS_CTRAN"/>
		<xsl:with-param name="id" select="$HEADER_ID"/>
	</xsl:apply-templates>
</xsl:template>

<!-- ****** HEADER ****** -->

<xsl:template match="header">
	<xsl:call-template name="sub_links"/>
	<xsl:call-template name="frame_info"/>

	<xsl:call-template name="title_tab">
		<xsl:with-param name="name" select="concat($TRANSACTION,$DETAIL)" />
		<xsl:with-param name="image" select="$IMG_TRAN"/>
	</xsl:call-template>

<xsl:element name="table">
	<xsl:attribute name="class">main</xsl:attribute>
	<xsl:attribute name="summary"><xsl:value-of select="concat($TRANSACTION,$DETAIL)" /></xsl:attribute>

	<xsl:element name="tr">
		<xsl:attribute name="style">width:100%</xsl:attribute>
		<xsl:element name="th">
			<xsl:attribute name="style">width:150px;</xsl:attribute><xsl:value-of select="$LOGICAL_NAME" />
		</xsl:element>
		<xsl:element name="td"><xsl:value-of select="logical_name" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="physical_name" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$COMMENT" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="memo" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$OUT_TRAN" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="serversub_pname" /><xsl:element name="br" /><xsl:value-of select="stran_pname" /><xsl:element name="br" />rev.<xsl:value-of select="serversub_revision" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$COM_CHECK" /></xsl:element>
		<xsl:element name="td">
			<xsl:choose>
				<xsl:when test="default_check[.='1']"></xsl:when>
				<xsl:when test="default_check[.='0']">~</xsl:when>
				<xsl:otherwise>~</xsl:otherwise>
			</xsl:choose>
		</xsl:element>
	</xsl:element>
</xsl:element>

</xsl:template>

<!-- ****** DETAIL ****** -->

<xsl:template match="detail">
	<!-- RECORD -->
	<xsl:if test="$HREF = 'io'">
		<xsl:call-template name="write_record">
			<xsl:with-param name="data_type" select="$TARGET_CS_ITEM" />
		</xsl:call-template>
	</xsl:if>
	<!-- STRAN -->
	<xsl:if test="$HREF = 'stran'">
		<xsl:element name="div">
			<xsl:attribute name="style">text-align:right</xsl:attribute>
			<xsl:element name="a">
				<xsl:attribute name="href">
					<xsl:call-template name="create_link">
						<xsl:with-param name="data_type" select="$TARGET_CS_STRAN"/>
						<xsl:with-param name="select_type" select="2"/>
						<xsl:with-param name="id" select="./stranid"/>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:call-template name="image_of_goto" />Go to SAMC/<xsl:value-of select="$TRANSACTION" />
			</xsl:element>
		</xsl:element>

		<xsl:apply-templates select="decition_table/dt">
			<xsl:with-param name="dc_datatype" select="$TARGET_CS_SDC"/>
			<xsl:with-param name="rule_datatype" select="$TARGET_CS_SRULE"/>
			<xsl:with-param name="tran_datatype" select="$TARGET_CS_SOTRAN"/>
		</xsl:apply-templates>
	</xsl:if>
	<!-- TIMING -->
	<xsl:if test="$HREF = 'used'">
		<xsl:element name="br" />
		<xsl:call-template name="write_timing" />
	</xsl:if>
	<xsl:if test="$HREF = 'execution_timing'">
		<xsl:element name="br" />
		<xsl:call-template name="write_timing_execution" />
	</xsl:if>

</xsl:template>



<!-- **************************************** -->
</xsl:stylesheet>
