<?xml version="1.0" encoding="shift_jis"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" > 
<xsl:import href="./common.xsl"/>
<xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" />
  
<!-- ****** TOP ****** -->

<xsl:template match="/">
	<xsl:apply-templates select="dynamic_document">
		<xsl:with-param name="select_type" select="'2'"/>
		<xsl:with-param name="data_type" select="$TARGET_DAT_DATA"/>
		<xsl:with-param name="id" select="$HEADER_ID"/>
	</xsl:apply-templates>
</xsl:template>

<!-- ****** Header ****** -->
<xsl:template match="header">
	<xsl:call-template name="title_tab">
		<xsl:with-param name="name" select="concat($DATAH,$DETAIL)" />
		<xsl:with-param name="image" select="$IMG_DATA"/>
	</xsl:call-template>
	
<xsl:element name="table">
	<xsl:attribute name="class">main</xsl:attribute>
	<xsl:attribute name="summary"><xsl:value-of select="$DATA" />Header <xsl:value-of select="$DETAIL" /></xsl:attribute>
	
	<xsl:element name="tr">
		<xsl:attribute name="style">width:100%</xsl:attribute>
		<xsl:element name="th">
			<xsl:attribute name="style">width:20%</xsl:attribute><xsl:value-of select="$LOGICAL_NAME" />
		</xsl:element>
		<xsl:element name="td"><xsl:value-of select="logical_name" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="physical_name" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$COMMENT" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="memo" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$DATA_CLASS" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="data_class/logical_name" /><xsl:element name="br" /><xsl:value-of select="data_class/physical_name" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$FIX" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="fix" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$LENGTH" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="length" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$SCALE" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="scale" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$OMIT" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="omit" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$DEFAULT" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="default_value" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th">ENUM</xsl:element>
		<xsl:element name="td"><xsl:value-of select="enum" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$MINIMUM" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="minimum" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$MAXIMUM" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="maximum" /></xsl:element>
	</xsl:element>
	<xsl:if test="not($PRODUCT_TYPE = $PRODUCT_OPENDEVELOPER) and not($PRODUCT_TYPE = $PRODUCT_PARALLELFRAME)">
		<xsl:element name="tr">
			<xsl:element name="th"><xsl:value-of select="$FORMAT_CLASS" /></xsl:element>
			<xsl:element name="td"><xsl:call-template name="format_class" /></xsl:element>
		</xsl:element>
	</xsl:if>
	<xsl:if test="not($PRODUCT_TYPE = $PRODUCT_VISUALFRAME)">
		<xsl:element name="tr">
			<xsl:element name="th"><xsl:value-of select="$DB_TRANSFER_CLASS" /></xsl:element>
			<xsl:element name="td"><xsl:apply-templates select="db_class" /></xsl:element>
		</xsl:element>
	</xsl:if>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$CHECK_CLASS" /></xsl:element>
		<xsl:element name="td"><xsl:apply-templates select="check_class" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$CREATE_USER" /> (<xsl:value-of select="$CREATE_DATE" />)</xsl:element>
		<xsl:element name="td"><xsl:value-of select="create_user" /> ( <xsl:call-template name="formatdate"><xsl:with-param name="word" select="create_date"/></xsl:call-template> )</xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$UPDATE_USER" /> (<xsl:value-of select="$UPDATE_DATE" />)</xsl:element>
		<xsl:element name="td"><xsl:value-of select="update_user" /> ( <xsl:call-template name="formatdate"><xsl:with-param name="word" select="update_date"/></xsl:call-template> )</xsl:element>
	</xsl:element>

</xsl:element>
</xsl:template>

<!-- ****** DETAIL ****** -->
<xsl:template match="detail">
	<!-- RECORD -->
	<xsl:if test="/dynamic_document/env/href[.='list']">
		<xsl:call-template name="datas" />
	</xsl:if>
</xsl:template>

<!-- ****** datas ****** -->
<xsl:template name="datas">
	<!-- RECORD -->
		<xsl:element name="br" />
		<xsl:element name="table">
			<xsl:attribute name="class">main</xsl:attribute>
			<xsl:attribute name="summary">Data</xsl:attribute>
			<xsl:element name="tr">
				<xsl:attribute name="style">width:100%</xsl:attribute>
				<xsl:element name="th"></xsl:element>
				<xsl:element name="th"><xsl:value-of select="$LOGICAL_NAME" /></xsl:element>
				<xsl:element name="th"><xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
				<xsl:element name="th"><xsl:value-of select="$COMMENT" /></xsl:element>
			</xsl:element>
			<xsl:for-each select="record">
				<xsl:element name="tr">
					<xsl:element name="td">
						<xsl:attribute name="class">image</xsl:attribute>
						<xsl:call-template name="image_of_data" />
					</xsl:element>
					<xsl:element name="td">
						<xsl:element name="a">
							<xsl:attribute name="href">
								<xsl:call-template name="create_link">
									<xsl:with-param name="data_type" select="$TARGET_DAT_DATA"/>
									<xsl:with-param name="select_type" select="3"/>
									<xsl:with-param name="id" select="./id"/>
								</xsl:call-template>
							</xsl:attribute>
							<xsl:value-of select="logical_name" />
						</xsl:element>
					</xsl:element>
					<xsl:element name="td">
						<xsl:element name="a">
							<xsl:attribute name="href">
								<xsl:call-template name="create_link">
									<xsl:with-param name="data_type" select="$TARGET_DAT_DATA"/>
									<xsl:with-param name="select_type" select="3"/>
									<xsl:with-param name="id" select="./id"/>
								</xsl:call-template>
							</xsl:attribute>
							<xsl:value-of select="physical_name" />
						</xsl:element>
					</xsl:element>
					<xsl:element name="td"><xsl:value-of select="memo" /></xsl:element>
				</xsl:element>
			</xsl:for-each>
		</xsl:element>
</xsl:template>


</xsl:stylesheet>
