<?xml version="1.0" encoding="shift_jis"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" > 
<xsl:import href="./common.xsl"/>
<xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" />

<!-- ****** TOP ****** -->
<xsl:template match="/">
	<xsl:apply-templates select="dynamic_document">
		<xsl:with-param name="select_type" select="'2'"/>
		<xsl:with-param name="data_type" select="$TARGET_CS_HITEM"/>
		<xsl:with-param name="id" select="$HEADER_ID"/>
	</xsl:apply-templates>
</xsl:template>

<!-- ****** HEADER ****** -->
<xsl:template match="header">
	<xsl:call-template name="sub_links"/>
	<xsl:call-template name="frame_info"/>

	<xsl:call-template name="title_tab">
		<xsl:with-param name="name" select="concat($DATA,$DETAIL)" />
		<xsl:with-param name="image" select="$IMG_DATA"/>
	</xsl:call-template>

<xsl:element name="table">
	<xsl:attribute name="class">main</xsl:attribute>
	<xsl:attribute name="summary"><xsl:value-of select="$ITEM" /><xsl:value-of select="$DETAIL" /></xsl:attribute>

	<xsl:element name="tr">
		<xsl:attribute name="style">width:100%</xsl:attribute>
		<xsl:element name="th">
			<xsl:attribute name="style">width:150px;</xsl:attribute><xsl:value-of select="$LOGICAL_NAME" />
		</xsl:element>
		<xsl:element name="td"><xsl:value-of select="logical_name" /></xsl:element>
	</xsl:element>

	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$PHYSICAL_NAME" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="physical_name" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$COMMENT" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="memo" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$ITEM_TYPE" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="item_type" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$ITEM_CHECK" /></xsl:element>
		<xsl:element name="td"><xsl:value-of select="default_check" /></xsl:element>
	</xsl:element>
	<xsl:element name="tr">
		<xsl:element name="th"><xsl:value-of select="$DATAD" /></xsl:element>
		<xsl:element name="td">
			<xsl:element name="a">
				<xsl:attribute name="href">
					<xsl:call-template name="create_link">
						<xsl:with-param name="data_type" select="$TARGET_DAT_DATA"/>
						<xsl:with-param name="select_type" select="3"/>
						<xsl:with-param name="id" select="data/id"/>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:value-of select="data/logical_name" /><xsl:element name="br" /><xsl:value-of select="data/physical_name" />
			</xsl:element>
		</xsl:element>
	</xsl:element>
</xsl:element>

</xsl:template>
<!-- ****** DETAIL ****** -->
<xsl:template match="detail">


		<!-- TIMING 
		<xsl:if test="$HREF = 'timing'">
			<xsl:call-template name="executions"/>
		</xsl:if>
	-->
		<!-- RULE -->
		<xsl:if test="$HREF = 'hrule'">
			<xsl:variable name="data_type">hrule</xsl:variable>
			<xsl:call-template name="rules">
				<xsl:with-param name="data_type" select="$data_type"/>
			</xsl:call-template>
		</xsl:if>
		<!-- TRAN -->
		<xsl:if test="$HREF = 'htran'">
			<xsl:variable name="data_type">htran</xsl:variable>
			<xsl:call-template name="trans">
				<xsl:with-param name="data_type" select="$data_type"/>
			</xsl:call-template>
		</xsl:if>

</xsl:template>

	
</xsl:stylesheet>
