<?xml version="1.0" encoding="shift_jis"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" > 
<xsl:import href="./common.xsl"/>
<xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" />


<!-- ****** TOP ****** -->
<xsl:template match="/">
	<xsl:apply-templates select="dynamic_document">
		<xsl:with-param name="select_type" select="'2'"/>
		<xsl:with-param name="data_type" select="$TARGET_SMC_OTRAN"/>
		<xsl:with-param name="id" select="$HEADER_ID"/>
	</xsl:apply-templates>
</xsl:template>

<!-- ****** Detail ****** -->
<xsl:template match="detail">
	<xsl:call-template name="sub_links"/>
	<xsl:call-template name="server_info"/>

	<xsl:call-template name="title_tab">
		<xsl:with-param name="name" select="concat($OUT_TRAN,$LIST)"/>
		<xsl:with-param name="image" select="$IMG_SUBTRAN"/>
	</xsl:call-template>

		<xsl:call-template name="sotran_define" />

</xsl:template>

<!-- **************************************** -->
<xsl:template name="sotran_define">

	<xsl:element name="table">
		<xsl:attribute name="class">main</xsl:attribute>
		<xsl:element name="tr">
			<xsl:attribute name="style">width:100%</xsl:attribute>
			<xsl:element name="th"><xsl:attribute name="colspan">2</xsl:attribute><xsl:value-of select="$OUT_TRAN" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$COMMENT" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$REVISION" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$SAMC" /></xsl:element>
			<xsl:element name="th"><xsl:value-of select="$SAMC" /> <xsl:value-of select="$TRANSACTION" /></xsl:element>
		</xsl:element>
		<xsl:for-each select="record">
			<xsl:element name="tr">
				<xsl:element name="td"><xsl:attribute name="class">image</xsl:attribute><xsl:call-template name="image_of_tran"/></xsl:element>
				<xsl:element name="td">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:call-template name="create_link">
								<xsl:with-param name="data_type" select="$TARGET_SMC_OTRAN"/>
								<xsl:with-param name="select_type" select="2"/>
								<xsl:with-param name="id" select="id"/>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:value-of select="logical_name" /><xsl:element name="br" /><xsl:value-of select="physical_name" />
					</xsl:element>
				</xsl:element>
				<xsl:element name="td">
					<xsl:value-of select="memo" />
				</xsl:element>
				<xsl:element name="td">
					<xsl:value-of select="revision" />
				</xsl:element>
				<xsl:element name="td">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:call-template name="create_link">
								<xsl:with-param name="data_type" select="$TARGET_CS_SSUB"/>
								<xsl:with-param name="select_type" select="2"/>
								<xsl:with-param name="id" select="ssub/id"/>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:value-of select="ssub/logical_name" /><xsl:element name="br" /><xsl:value-of select="ssub/physical_name" />
					</xsl:element>
				</xsl:element>
				<xsl:element name="td">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:call-template name="create_link">
								<xsl:with-param name="data_type" select="$TARGET_CS_STRAN"/>
								<xsl:with-param name="select_type" select="2"/>
								<xsl:with-param name="id" select="stran/id"/>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:value-of select="stran/logical_name" /><xsl:element name="br" /><xsl:value-of select="stran/physical_name" />
					</xsl:element>
				</xsl:element>
			</xsl:element>
		</xsl:for-each>
	</xsl:element>
</xsl:template>

</xsl:stylesheet>
